 EXEC P_ALTERPK 'PK_MPDM_STATESTRATEGY', 'T_MPDM_STATESTRATEGY', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATGY_FNUMBER') CREATE INDEX IDX_MPDM_STATGY_FNUMBER ON T_MPDM_STATESTRATEGY ( FNUMBER );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATGY_FCREATETIME') CREATE INDEX IDX_MPDM_STATGY_FCREATETIME ON T_MPDM_STATESTRATEGY ( FCREATETIME );

 
 EXEC P_ALTERPK 'PK_MPDM_STATESTRATEGY_L', 'T_MPDM_STATESTRATEGY_L', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATGYL_FID') CREATE INDEX IDX_MPDM_STATGYL_FID ON T_MPDM_STATESTRATEGY_L ( FID,FLOCALEID );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATGYL_FNAME') CREATE INDEX IDX_MPDM_STATGYL_FNAME ON T_MPDM_STATESTRATEGY_L ( FNAME );
 
 EXEC P_ALTERPK 'PK_MPDM_STATESCHEME', 'T_MPDM_STATESCHEME', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATME_FNUMBER') CREATE INDEX IDX_MPDM_STATME_FNUMBER ON T_MPDM_STATESCHEME ( FNUMBER );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATME_FCREATETIME') CREATE INDEX IDX_MPDM_STATME_FCREATETIME ON T_MPDM_STATESCHEME ( FCREATETIME );

 
 EXEC P_ALTERPK 'PK_MPDM_STATESCHEME_L', 'T_MPDM_STATESCHEME_L', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATMEL_FID') CREATE INDEX IDX_MPDM_STATMEL_FID ON T_MPDM_STATESCHEME_L ( FID,FLOCALEID );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATMEL_FNAME') CREATE INDEX IDX_MPDM_STATMEL_FNAME ON T_MPDM_STATESCHEME_L ( FNAME );
 
 
 EXEC P_ALTERPK 'PK_MPDM_STATESCHEMERL', 'T_MPDM_STATESCHEMERL', 'FENTRYID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATRL_FID') CREATE INDEX IDX_MPDM_STATRL_FID ON T_MPDM_STATESCHEMERL ( FID );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATRL_FSEQ') CREATE INDEX IDX_MPDM_STATRL_FSEQ ON T_MPDM_STATESCHEMERL ( FSEQ );

 
 EXEC P_ALTERPK 'PK_MPDM_STATERULE', 'T_MPDM_STATERULE', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATLE_FNUMBER') CREATE INDEX IDX_MPDM_STATLE_FNUMBER ON T_MPDM_STATERULE ( FNUMBER );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATLE_FCREATETIME') CREATE INDEX IDX_MPDM_STATLE_FCREATETIME ON T_MPDM_STATERULE ( FCREATETIME );

 
 EXEC P_ALTERPK 'PK_MPDM_STATERULE_L', 'T_MPDM_STATERULE_L', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATLEL_FID') CREATE INDEX IDX_MPDM_STATLEL_FID ON T_MPDM_STATERULE_L ( FID,FLOCALEID );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATLEL_FNAME') CREATE INDEX IDX_MPDM_STATLEL_FNAME ON T_MPDM_STATERULE_L ( FNAME );
 

 EXEC P_ALTERPK 'PK_MPDM_STATERULEBC', 'T_MPDM_STATERULEBC', 'FENTRYID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATBC_FID') CREATE INDEX IDX_MPDM_STATBC_FID ON T_MPDM_STATERULEBC ( FID );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATBC_FSEQ') CREATE INDEX IDX_MPDM_STATBC_FSEQ ON T_MPDM_STATERULEBC ( FSEQ );

 EXEC P_ALTERPK 'PK_MPDM_STATERULEBT', 'T_MPDM_STATERULEBT', 'FENTRYID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATBT_FID') CREATE INDEX IDX_MPDM_STATBT_FID ON T_MPDM_STATERULEBT ( FID );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATBT_FSEQ') CREATE INDEX IDX_MPDM_STATBT_FSEQ ON T_MPDM_STATERULEBT ( FSEQ );

 EXEC P_ALTERPK 'PK_MPDM_STATERULEMM', 'T_MPDM_STATERULEMM', 'FENTRYID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATMM_FID') CREATE INDEX IDX_MPDM_STATMM_FID ON T_MPDM_STATERULEMM ( FID );
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STATMM_FSEQ') CREATE INDEX IDX_MPDM_STATMM_FSEQ ON T_MPDM_STATERULEMM ( FSEQ );


 
 
