/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CWORKDETAIL') 
 CREATE TABLE T_MPDM_CWORKDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCARDNOID BIGINT DEFAULT 0 NOT NULL,
FMATERIALUNIT BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT ' ' NOT NULL,
FSUMHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWORKUNIT BIGINT DEFAULT 0 NOT NULL,
FFIRSTEXE CHAR(1) DEFAULT '0' NOT NULL,
FMAJORFLAG CHAR(1) DEFAULT '0' NOT NULL,
FPRODUCTENVIRONMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FCANCELERID BIGINT DEFAULT 0 NOT NULL,
FCANCELTIME DATETIME,
FENABLEUSERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CWORKDETAIL_L') 
 CREATE TABLE T_MPDM_CWORKDETAIL_L (
FPKID VARCHAR(20) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CWORKDETAILENTRY') 
 CREATE TABLE T_MPDM_CWORKDETAILENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPROCESSNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FPROCESSGROUP BIGINT DEFAULT 0 NOT NULL,
FPROFESSIONA BIGINT DEFAULT 0 NOT NULL,
FWORKCENTER BIGINT DEFAULT 0 NOT NULL,
FMACHININGTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCTIONORGID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTIONWORKSHOPID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWORKHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRCTRLSTRATEGY BIGINT DEFAULT 0 NOT NULL,
FWORKSTATION BIGINT DEFAULT 0 NOT NULL,
FCOLLABORATIVE CHAR(1) DEFAULT '0' NOT NULL,
FBOTTLEPROCEDURE CHAR(1) DEFAULT '0' NOT NULL,
FISMILESTONEPROCESS CHAR(1) DEFAULT '0' NOT NULL,
FCHECKTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIRSTCHECK CHAR(1) DEFAULT '0' NOT NULL,
FUPPERRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFLOORRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEBATCHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHEADQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHEADUNITID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPERATIONUNITID BIGINT DEFAULT 0 NOT NULL
);
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/