﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_PROGROUP' AND KSQL_COL_NAME ='FDEFAULTWORKSORT') 
 ALTER TABLE T_MPDM_PROGROUP ADD (FDEFAULTWORKSORT BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_PROGROUP' AND KSQL_COL_NAME ='FSCOPERANGE') 
 ALTER TABLE T_MPDM_PROGROUP ADD (FSCOPERANGE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_JOBCARDTYPE' AND KSQL_COL_NAME ='FWORKTYPECTRLID') 
 ALTER TABLE T_MPDM_JOBCARDTYPE ADD (FWORKTYPECTRLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_RISKTYPE_L' AND KSQL_COL_NAME ='FREMARK') 
 ALTER TABLE T_MPDM_RISKTYPE_L ADD (FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WORKTYPECTRL_L') 
 CREATE TABLE T_MPDM_WORKTYPECTRL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WORKTYPEFIELD') 
 CREATE TABLE T_MPDM_WORKTYPEFIELD (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FISHIDE CHAR(1) DEFAULT '0' NOT NULL,
FMUSTINPUT CHAR(1) DEFAULT '0' NOT NULL,
FFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WORKTYPEPAGE') 
 CREATE TABLE T_MPDM_WORKTYPEPAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBASEDATA VARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WORKTYPECTRL') 
 CREATE TABLE T_MPDM_WORKTYPECTRL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FENABLEUSER BIGINT DEFAULT 0 NOT NULL,
FDISABLEUSER BIGINT DEFAULT 0 NOT NULL,
FENABLETIME DATETIME,
FDISABLETIME DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
