﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
 EXEC p_AlterColumn 'T_MPDM_PROACTIVITY', 'FBASEQTY', 'DECIMAL(23,10)', 'NOT NULL', '1111', '0';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CBENTRY') 
 CREATE TABLE T_MPDM_CBENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCBNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCBPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENGINEMODEL BIGINT DEFAULT 0 NOT NULL,
FFINDMODEL BIGINT DEFAULT 0 NOT NULL,
FPANEL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCBCSYSTEM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CBENTRY_L') 
 CREATE TABLE T_MPDM_CBENTRY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPANEL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCBCSYSTEM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCBNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CBREAKER') 
 CREATE TABLE T_MPDM_CBREAKER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FCARD BIGINT DEFAULT 0 NOT NULL,
FAUDITOR BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FENABLER BIGINT DEFAULT 0 NOT NULL,
FENABLETIME DATETIME,
FDISABLER BIGINT DEFAULT 0 NOT NULL,
FDISABLETIME DATETIME,
FAUXPROPERTY BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CBREAKER_L') 
 CREATE TABLE T_MPDM_CBREAKER_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_RISKDEFENTRY') 
 CREATE TABLE T_MPDM_RISKDEFENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FREPAIRLEVEL BIGINT DEFAULT 0 NOT NULL,
FRISKADVICE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOWERLIMITSYMBOL VARCHAR(50) DEFAULT ' ' NOT NULL,
FUPPERLIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUPPERLIMITSYMBOL VARCHAR(50) DEFAULT ' ' NOT NULL,
FLOWERLIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_RISKDEFENTRY_L') 
 CREATE TABLE T_MPDM_RISKDEFENTRY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FRISKADVICE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_CHECKLEVEL_L' AND KSQL_COL_NAME ='FDESCRIBE') 
 ALTER TABLE T_MPDM_CHECKLEVEL_L ADD (FDESCRIBE NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_WORKCATEGORIES' AND KSQL_COL_NAME ='FALIAS') 
 ALTER TABLE T_MPDM_WORKCATEGORIES ADD (FALIAS NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_WORKCATEGORIES_L' AND KSQL_COL_NAME ='FALIAS') 
 ALTER TABLE T_MPDM_WORKCATEGORIES_L ADD (FALIAS NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_CHECKLEVEL' AND KSQL_COL_NAME ='FGROUPID') 
 ALTER TABLE T_MPDM_CHECKLEVEL ADD (FGROUPID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_CHECKLEVEL' AND KSQL_COL_NAME ='FDESCRIBE') 
 ALTER TABLE T_MPDM_CHECKLEVEL ADD (FDESCRIBE NVARCHAR(255) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
