﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_constraint.sql **/
 EXEC P_ALTERPK 'PK_MPDM_CMATERIALCMD', 'T_MPDM_CMATERIALCMD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CMATERIALCMD_CREATEORG') CREATE INDEX IDX_CMATERIALCMD_CREATEORG ON T_MPDM_CMATERIALCMD ( FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CMATERIALCMD_MASTER') CREATE INDEX IDX_CMATERIALCMD_MASTER ON T_MPDM_CMATERIALCMD ( FMASTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CMATERIALCMD_WCID') CREATE INDEX IDX_CMATERIALCMD_WCID ON T_MPDM_CMATERIALCMD ( FWORKCARDID );


 EXEC P_ALTERPK 'PK_MPDM_CMATERIALCMD_L', 'T_MPDM_CMATERIALCMD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CMATERIALCMD_L_0') CREATE INDEX IDX_MPDM_CMATERIALCMD_L_0 ON T_MPDM_CMATERIALCMD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MPDM_CMATERIALCMDENTRY_L', 'T_MPDM_CMATERIALCMDENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CMATERIALCMDENTRY_L_0') CREATE INDEX IDX_MPDM_CMATERIALCMDENTRY_L_0 ON T_MPDM_CMATERIALCMDENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MPDM_CMATERIALCMDENTRY', 'T_MPDM_CMATERIALCMDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CMATERIALCMDENTRY_FK') CREATE INDEX IDX_MPDM_CMATERIALCMDENTRY_FK ON T_MPDM_CMATERIALCMDENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CMATERIALCMDENTRY_MFT') CREATE INDEX IDX_CMATERIALCMDENTRY_MFT ON T_MPDM_CMATERIALCMDENTRY ( FMATERIALMFTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CMATERIALCMDENTRY_MID') CREATE INDEX IDX_CMATERIALCMDENTRY_MID ON T_MPDM_CMATERIALCMDENTRY ( FENTRYMATERIAL );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_constraint.sql **/
