﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_constraint.sql **/
 EXEC P_ALTERPK 'PK_MPDM_MAINTENANCEPLAN', 'T_MPDM_MAINTENANCEPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_MAINTENANCEPLAN') CREATE INDEX IDX_T_MPDM_MAINTENANCEPLAN ON T_MPDM_MAINTENANCEPLAN ( FNUMBER );


 EXEC P_ALTERPK 'PK_MPDM_MAINTENANCEPLAN_L', 'T_MPDM_MAINTENANCEPLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MAINTENANCEPLAN_L') CREATE INDEX IDX_MPDM_MAINTENANCEPLAN_L ON T_MPDM_MAINTENANCEPLAN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MPDM_REPAIRPLANTOOL', 'T_MPDM_REPAIRPLANTOOL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_MPDM_RPT_FCREATEORGID_IDX') CREATE INDEX T_MPDM_RPT_FCREATEORGID_IDX ON T_MPDM_REPAIRPLANTOOL ( FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_MPDM_RPT_FRPCARD_IDX') CREATE INDEX T_MPDM_RPT_FRPCARD_IDX ON T_MPDM_REPAIRPLANTOOL ( FREPAIRPLANCARD );


 EXEC P_ALTERPK 'PK_MPDM_REPAIRPLANTOOL_L', 'T_MPDM_REPAIRPLANTOOL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_REPAIRPLANTOOL_L_0') CREATE INDEX IDX_MPDM_REPAIRPLANTOOL_L_0 ON T_MPDM_REPAIRPLANTOOL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MPDM_REPAIRPTENTRY', 'T_MPDM_REPAIRPTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_REPAIRPTENTRY_FK') CREATE INDEX IDX_MPDM_REPAIRPTENTRY_FK ON T_MPDM_REPAIRPTENTRY ( FID );


 EXEC P_ALTERPK 'PK_MPDM_RPTMATCOMMAND', 'T_MPDM_RPTMATCOMMAND', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_MPDM_RPTMCD_FCARD_IDX') CREATE INDEX T_MPDM_RPTMCD_FCARD_IDX ON T_MPDM_RPTMATCOMMAND ( FREPAIRPLANCARD );


 EXEC P_ALTERPK 'PK_MPDM_RPTMATCOMMAND_L', 'T_MPDM_RPTMATCOMMAND_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_RPTMATCOMMAND_L_0') CREATE INDEX IDX_MPDM_RPTMATCOMMAND_L_0 ON T_MPDM_RPTMATCOMMAND_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MPDM_RPTMCDENTRY', 'T_MPDM_RPTMCDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_RPTMCDENTRY_FK') CREATE INDEX IDX_MPDM_RPTMCDENTRY_FK ON T_MPDM_RPTMCDENTRY ( FID );


 EXEC P_ALTERPK 'PK_MPDM_MATCOMMENTRYDOC', 'T_MPDM_MATCOMMENTRYDOC', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MATCOMMENTRYDOC_FENTRYID') CREATE INDEX IDX_MATCOMMENTRYDOC_FENTRYID ON T_MPDM_MATCOMMENTRYDOC ( FENTRYID );


 EXEC P_ALTERPK 'PK_MPDM_MPENTRY', 'T_MPDM_MPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MPENTRY_FK') CREATE INDEX IDX_MPDM_MPENTRY_FK ON T_MPDM_MPENTRY ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_constraint.sql **/
