﻿/**Begin D:\PDM_UPGRADE\PDM1\MPDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CARDTOOLDOCC') 
 CREATE TABLE T_MPDM_CARDTOOLDOCC (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDOCMANUALNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FDOCNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FDOCMANUALVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FDOCPAGENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FDOCDESCRIBE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDOCENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CTOOLENTRY') 
 CREATE TABLE T_MPDM_CTOOLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATEFIELD DATETIME,
FENTRYMATERIAL BIGINT DEFAULT 0 NOT NULL,
FENTRYBASEUNIT BIGINT DEFAULT 0 NOT NULL,
FENTRYBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENRTYUNIT BIGINT DEFAULT 0 NOT NULL,
FENTRYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOOLSUBGROUP BIGINT DEFAULT 0 NOT NULL,
FENTRYOWNERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYOWNER BIGINT DEFAULT 0 NOT NULL,
FTOOLLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLYORG BIGINT DEFAULT 0 NOT NULL,
FLOCATION BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSE BIGINT DEFAULT 0 NOT NULL,
FENTRYHISTORYUSETIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREPGRPENTRYID BIGINT DEFAULT 0 NOT NULL,
FROWTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FOLDENTRYID BIGINT DEFAULT 0 NOT NULL,
FGROUPVERSION VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_DOCAPPENDIXC') 
 CREATE TABLE T_MPDM_DOCAPPENDIXC (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MROWKAREA') 
 CREATE TABLE T_MPDM_MROWKAREA (
FPKID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MROWKAREA_H') 
 CREATE TABLE T_MPDM_MROWKAREA_H (
FPKID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MROWKZONE') 
 CREATE TABLE T_MPDM_MROWKZONE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MROWKZONE_H') 
 CREATE TABLE T_MPDM_MROWKZONE_H (
FPKID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_RTOOLMRTYPEC') 
 CREATE TABLE T_MPDM_RTOOLMRTYPEC (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_TOOLSUBGROUP' AND KSQL_COL_NAME ='FGROUPVERSION') 
 ALTER TABLE T_MPDM_TOOLSUBGROUP ADD (FGROUPVERSION NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_CARDTOOLDEMANENTRY' AND KSQL_COL_NAME ='FGROUPVERSION') 
 ALTER TABLE T_MPDM_CARDTOOLDEMANENTRY ADD (FGROUPVERSION NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CTOOLCHANGE') 
 CREATE TABLE T_MPDM_CTOOLCHANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FHOURUNIT BIGINT DEFAULT 0 NOT NULL,
FWORKCARD BIGINT DEFAULT 0 NOT NULL,
FMATERIALTYPE BIGINT DEFAULT 0 NOT NULL,
FISNEEDTOOL CHAR(1) DEFAULT '1' NOT NULL,
FMATERIALUNIT BIGINT DEFAULT 0 NOT NULL,
FCHANGETIME DATETIME,
FCHANGEREASION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMATERIALNUM BIGINT DEFAULT 0 NOT NULL,
FTOOLID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\MPDM_table.sql **/
