﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_DELIVERYCYCLE') 
 CREATE TABLE T_MPDM_DELIVERYCYCLE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSE BIGINT DEFAULT 0 NOT NULL,
FDELIVERYTIME BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_DELIVERYCYCLE_L') 
 CREATE TABLE T_MPDM_DELIVERYCYCLE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_WKENTRYDOC_H' AND KSQL_COL_NAME ='FDOCORIGINALID') 
 ALTER TABLE T_MPDM_WKENTRYDOC_H ADD (FDOCORIGINALID BIGINT DEFAULT 0 NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_WKENTRYSEQ_H' AND KSQL_COL_NAME ='FSEQORIGINALID') 
 ALTER TABLE T_MPDM_WKENTRYSEQ_H ADD (FSEQORIGINALID BIGINT DEFAULT 0 NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_WKENTRYSEQREL_H' AND KSQL_COL_NAME ='FRELORIGINALID') 
 ALTER TABLE T_MPDM_WKENTRYSEQREL_H ADD (FRELORIGINALID BIGINT DEFAULT 0 NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_WKENTRYPANEL_H' AND KSQL_COL_NAME ='FPANELORIGINALID') 
 ALTER TABLE T_MPDM_WKENTRYPANEL_H ADD (FPANELORIGINALID BIGINT DEFAULT 0 NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_MENTRYROUTE_H' AND KSQL_COL_NAME ='FPROCESSORIGINALID') 
 ALTER TABLE T_MPDM_MENTRYROUTE_H ADD (FPROCESSORIGINALID BIGINT DEFAULT 0 NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_PROCESSVERSION_H' AND KSQL_COL_NAME ='FHOURORIGINALID') 
 ALTER TABLE T_MPDM_PROCESSVERSION_H ADD (FHOURORIGINALID BIGINT DEFAULT 0 NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_WKACTIVITY_H' AND KSQL_COL_NAME ='FACTORIGINALID') 
 ALTER TABLE T_MPDM_WKACTIVITY_H ADD (FACTORIGINALID BIGINT DEFAULT 0 NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_SUBENTRYROUTE_H' AND KSQL_COL_NAME ='FSOURCEORIGINALID') 
 ALTER TABLE T_MPDM_SUBENTRYROUTE_H ADD (FSOURCEORIGINALID BIGINT DEFAULT 0 NOT NULL);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
