﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MENTRYROUTE_H') 
 CREATE TABLE T_MPDM_MENTRYROUTE_H (
FCARDID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPARENTID VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATIONNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FMACHININGTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCTIONORGID BIGINT DEFAULT 0 NOT NULL,
FWORKCENTERID BIGINT DEFAULT 0 NOT NULL,
FPURCHASEORGID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTIONWORKSHOPID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONID BIGINT DEFAULT 0 NOT NULL,
FOPRCTRLSTRATEGY BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASEBATCHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHEADQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHEADUNITID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPERATIONUNITID BIGINT DEFAULT 0 NOT NULL,
FISSPLIT CHAR(1) DEFAULT '0' NOT NULL,
FISPROCESSOVERLAP CHAR(1) DEFAULT '0' NOT NULL,
FSPLITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINWORKTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTIMEUNIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FMINOVERLAPTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOVERLAPTIMEUNIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FOVERLAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOVERLAPUNITID BIGINT DEFAULT 0 NOT NULL,
FPURCHASEGROUPID BIGINT DEFAULT 0 NOT NULL,
FPURCHASEPERSONID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYFIELD BIGINT DEFAULT 0 NOT NULL,
FTAXRATE BIGINT DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEMENTUNITID BIGINT DEFAULT 0 NOT NULL,
FSETTLEMENTCOEFFICIENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUPPERRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFLOORRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPERATIONDESC VARCHAR(50) DEFAULT ' ' NOT NULL,
FCHECKTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIRSTCHECK CHAR(1) DEFAULT '0' NOT NULL,
FPROCESSGROUP BIGINT DEFAULT 0 NOT NULL,
FPROFESSIONA BIGINT DEFAULT 0 NOT NULL,
FSTANDARDHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCUSTOMHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWORKSTATION BIGINT DEFAULT 0 NOT NULL,
FCOLLABORATIVE CHAR(1) DEFAULT '0' NOT NULL,
FBOTTLEPROCEDURE CHAR(1) DEFAULT '0' NOT NULL,
FISMILESTONEPROCESS CHAR(1) DEFAULT '0' NOT NULL,
FPAGESEQ1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FVERSIONID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MROCARDROUTE_H') 
 CREATE TABLE T_MPDM_MROCARDROUTE_H (
FCARDID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FVERSIONID BIGINT DEFAULT 0 NOT NULL,
FROUTEREPLACE BIGINT DEFAULT 0 NOT NULL,
FISMAINPROCESS CHAR(1) DEFAULT '1' NOT NULL,
FPROCESSTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIALGROUPID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FBOMVERSIONID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FCANCELERID BIGINT DEFAULT 0 NOT NULL,
FCANCELTIME DATETIME,
FWORKCARDTYPE BIGINT DEFAULT 0 NOT NULL,
FCARDNUM VARCHAR(80) DEFAULT ' ' NOT NULL,
FCARDNUMID VARCHAR(80) DEFAULT ' ' NOT NULL,
FCUSTOMER BIGINT DEFAULT 0 NOT NULL,
FCARDVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIALTYPE BIGINT DEFAULT 0 NOT NULL,
FCARDID2 BIGINT DEFAULT 0 NOT NULL,
FENABLEUSERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FREFWORDCARD BIGINT DEFAULT 0 NOT NULL,
FZONE BIGINT DEFAULT 0 NOT NULL,
FWORKAREA BIGINT DEFAULT 0 NOT NULL,
FMAINTRADE BIGINT DEFAULT 0 NOT NULL,
FATA VARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIBE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWORKUNIT BIGINT DEFAULT 0 NOT NULL,
FSUMHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRISKCARD CHAR(1) DEFAULT '0' NOT NULL,
FRISKREF BIGINT DEFAULT 0 NOT NULL,
FEXEPRIORITY BIGINT DEFAULT 0 NOT NULL,
FFIRSTEXE CHAR(1) DEFAULT '1' NOT NULL,
FMAJORFLAG CHAR(1) DEFAULT '0' NOT NULL,
FMAJORDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRODUCTENVIRONMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLADDER CHAR(1) DEFAULT '0' NOT NULL,
FPANEL CHAR(1) DEFAULT '0' NOT NULL,
FCONDITIIONEXE BIGINT DEFAULT 0 NOT NULL,
FSPECIALCUSTOM CHAR(1) DEFAULT '0' NOT NULL,
FNEEDMATERIAL VARCHAR(50) DEFAULT ' ' NOT NULL,
FNEEDTOOL VARCHAR(50) DEFAULT ' ' NOT NULL,
FCARDSPECIAL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBUSINESSCONTROL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASEATA BIGINT DEFAULT 0 NOT NULL,
FCARDINTEGRITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FMODDATE DATETIME,
FPHOTOVERSION VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MROTRADERELATION_H') 
 CREATE TABLE T_MPDM_MROTRADERELATION_H (
FPKID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MROWKIDENTITY_H') 
 CREATE TABLE T_MPDM_MROWKIDENTITY_H (
FPKID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_PROCESSVERSION_H') 
 CREATE TABLE T_MPDM_PROCESSVERSION_H (
FCARDID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPAGESUMHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FEXPIRATIONDATE DATETIME,
FEFFECTIVEDATE DATETIME,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_SUBENTRYROUTE_H') 
 CREATE TABLE T_MPDM_SUBENTRYROUTE_H (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FRESOURCEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WKACTIVITY_H') 
 CREATE TABLE T_MPDM_WKACTIVITY_H (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPROCESSNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATIONNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSTAGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDFORMULAID BIGINT DEFAULT 0 NOT NULL,
FMINFORMULAID BIGINT DEFAULT 0 NOT NULL,
FSTANDARDFORMULA1ID BIGINT DEFAULT 0 NOT NULL,
FMINFORMULA1ID BIGINT DEFAULT 0 NOT NULL,
FACTRESOURCEID BIGINT DEFAULT 0 NOT NULL,
FACTSCHEDULING CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WKDOCATTA_H') 
 CREATE TABLE T_MPDM_WKDOCATTA_H (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WKENTRYDOC_H') 
 CREATE TABLE T_MPDM_WKENTRYDOC_H (
FCARDID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDOCNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FDOCVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FDOCSECLTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FDOCPART VARCHAR(50) DEFAULT ' ' NOT NULL,
FDOCPARAGRAPH VARCHAR(50) DEFAULT ' ' NOT NULL,
FDOCPAGENUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FDOCTYPE BIGINT DEFAULT 0 NOT NULL,
FTEXTFIELD VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WKENTRYPANEL_H') 
 CREATE TABLE T_MPDM_WKENTRYPANEL_H (
FCARDID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPANELNUMBER BIGINT DEFAULT 0 NOT NULL,
FPANELSUMHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WKENTRYSEQ_H') 
 CREATE TABLE T_MPDM_WKENTRYSEQ_H (
FCARDID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPROCESSSEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREFERENCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATION VARCHAR(50) DEFAULT ' ' NOT NULL,
FOUTPUT VARCHAR(50) DEFAULT ' ' NOT NULL,
FINPUT VARCHAR(50) DEFAULT ' ' NOT NULL,
FVERSIONID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WKENTRYSEQREL_H') 
 CREATE TABLE T_MPDM_WKENTRYSEQREL_H (
FCARDID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSEQRELATIONSEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQRELATIONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQRELATIONPARSEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQRELATIONPARNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSFERPROCESSNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSFERPROCESSNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTURNOUTPROCESSNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTURNOUTPROCESSNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARALLELRATION VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_JOBCARDTYPE' AND KSQL_COL_NAME ='FPROCESSTYPE') 
 ALTER TABLE T_MPDM_JOBCARDTYPE ADD (FPROCESSTYPE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_JOBCARDTYPE' AND KSQL_COL_NAME ='FCOMBOFIELD') 
 ALTER TABLE T_MPDM_JOBCARDTYPE ADD (FCOMBOFIELD VARCHAR(50) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
