﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CURRENTSECTION')
 CREATE TABLE T_MPDM_CURRENTSECTION (
	FID                BIGINT           DEFAULT 0     NOT NULL,					
	FNUMBER            NVARCHAR(30)     DEFAULT ' '   NOT NULL,       
	FCREATEORGID       BIGINT           DEFAULT 0     NOT NULL,           
	FORGID             BIGINT           DEFAULT 0     NOT NULL,                   
	FCTRLSTRATEGY      NVARCHAR(50)     DEFAULT ' '   NOT NULL,     
	FSOURCEDATAID      BIGINT           DEFAULT 0     NOT NULL,           
	FBITINDEX          BIGINT           DEFAULT 0     NOT NULL,              
	FSOURCEBITINDEX    BIGINT           DEFAULT 0     NOT NULL,         
	FINDUSTRY          BIGINT           DEFAULT 0     NOT NULL,            
	FDEPARTMENT        BIGINT           DEFAULT 0     NOT NULL,          
	FAUDITORID         BIGINT           DEFAULT 0     NOT NULL,           
	FAUDITTIME         DATETIME,                             
	FDESCRIBE          NVARCHAR(255)    DEFAULT ' '   NOT NULL,    
	FNAME              NVARCHAR(255)    DEFAULT ' '   NOT NULL,          
	FSTATUS            NVARCHAR(50)     DEFAULT ' '   NOT NULL,            
	FCREATORID         BIGINT           DEFAULT 0     NOT NULL,             
	FMODIFIERID        BIGINT           DEFAULT 0     NOT NULL,             
	FENABLE            NVARCHAR(50)     DEFAULT ' '   NOT NULL,          
	FCREATETIME        DATETIME,                              
	FMODIFYTIME        DATETIME,                              
	FMASTERID          BIGINT           DEFAULT 0     NOT NULL        
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CURRENTSECTION_L')
 CREATE TABLE T_MPDM_CURRENTSECTION_L (
    FPKID              NVARCHAR(255)    DEFAULT ' '   NOT NULL,          	
    FID                BIGINT           DEFAULT 0     NOT NULL,          
    FLOCALEID          NVARCHAR(255)    DEFAULT ' '   NOT NULL,         
    FNAME              NVARCHAR(255)    DEFAULT ' '   NOT NULL
 );

