﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WORKSCOPEDETAIL')
 CREATE TABLE T_MPDM_WORKSCOPEDETAIL (
	FID                BIGINT        DEFAULT 0   NOT NULL,       
	FNUMBER            NVARCHAR(30)  DEFAULT ' ' NOT NULL,        
	FCREATEORGID       BIGINT        DEFAULT 0   NOT NULL,       
	FORGID             BIGINT        DEFAULT 0   NOT NULL,       
	FCTRLSTRATEGY      NVARCHAR(50)  DEFAULT ' ' NOT NULL,      
	FSOURCEDATAID      BIGINT        DEFAULT 0   NOT NULL,       
	FBITINDEX          INT           DEFAULT 0   NOT NULL,      
	FSOURCEBITINDEX    INT           DEFAULT 0   NOT NULL,      
	FSTATE             NVARCHAR(255) DEFAULT ' ' NOT NULL,      
	FISCHECKTYPE       CHAR(1)       DEFAULT '0' NOT NULL,      
	FCHECKTYPEID       BIGINT        DEFAULT 0   NOT NULL,        
	FAUDITOR           BIGINT        DEFAULT 0   NOT NULL,     
	FADUITTIME         DATETIME,      
	FNAME              NVARCHAR(50)  DEFAULT ' ' NOT NULL,   
	FSTATUS            NVARCHAR(50)  DEFAULT ' ' NOT NULL,     
	FCREATORID         BIGINT        DEFAULT 0   NOT NULL,    
	FMODIFIERID        BIGINT        DEFAULT 0   NOT NULL,    
	FENABLE            NVARCHAR(50)  DEFAULT ' ' NOT NULL,     
	FCREATETIME        DATETIME,      
	FMODIFYTIME        DATETIME,        
	FMASTERID          BIGINT        DEFAULT 0   NOT NULL   
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WORKSCOPEDETAIL_L')
 CREATE TABLE T_MPDM_WORKSCOPEDETAIL_L (
	FPKID              NVARCHAR(36)  DEFAULT ' ' NOT NULL,       
	FID                BIGINT        DEFAULT 0   NOT NULL,       
	FLOCALEID          NVARCHAR(10)  DEFAULT ' ' NOT NULL,       
	FNAME              NVARCHAR(50)  DEFAULT ' ' NOT NULL    
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_WORKDETAILINFO' AND KSQL_COL_NAME ='FWORKDETAILID')
 ALTER TABLE T_MPDM_WORKDETAILINFO ADD ( FWORKDETAILID BIGINT DEFAULT 0 NOT NULL );

