﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_FILECODEENTRY') 
 CREATE TABLE T_MPDM_FILECODEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONSTANTVALUE VARCHAR(10) DEFAULT ' ' NOT NULL,
FFIELDLENTH BIGINT DEFAULT 0 NOT NULL,
FQTYRANGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FREFFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FLINKCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTRUNCTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_FILECODFILTER') 
 CREATE TABLE T_MPDM_FILECODFILTER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FLEFTSYMBOL VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPARESYMBOL VARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMANUFACTURERID BIGINT DEFAULT 0 NOT NULL,
FRIGHTSYMBOL VARCHAR(50) DEFAULT ' ' NOT NULL,
FLINKSYMBOL VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_FILECODINGRULE') 
 CREATE TABLE T_MPDM_FILECODINGRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FDOCTYPE BIGINT DEFAULT 0 NOT NULL,
FCODINGOBJ VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTERRULER VARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTERRULER_TAG NCLOB,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_FILECODINGRULE_L') 
 CREATE TABLE T_MPDM_FILECODINGRULE_L (
FPKID VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
