IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_LICENCEMSG') 
CREATE TABLE T_MPDM_LICENCEMSG
(
  FID           BIGINT          DEFAULT 0     NOT NULL,  
  FENTRYID      BIGINT          DEFAULT 0     NOT NULL,   
  FSEQ          INT             DEFAULT 0     NOT NULL,   
  FLICENSETYPE  BIGINT          DEFAULT 0     NOT NULL, 	
  FDESCRIBE     NVARCHAR(100)   DEFAULT ' '   NOT NULL, 
  FNETADDRESS   NVARCHAR(50)    DEFAULT ' '   NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_LICENSETP') 
CREATE TABLE T_MPDM_LICENSETP
(
  FID          BIGINT         DEFAULT 0      NOT NULL, 
  FNAME        NVARCHAR(50)   DEFAULT ' '    NOT NULL, 
  FNUMBER      NVARCHAR(30)   DEFAULT ' '    NOT NULL, 
  FREMARK      NVARCHAR(255)  DEFAULT ' '    NOT NULL, 	
  FAUDITOR     BIGINT         DEFAULT 0      NOT NULL, 
  FAUDITTIME   DATETIME ,                   	       
  FSTATUS      NVARCHAR(1)    DEFAULT ' '   NOT NULL, 
  FCREATORID   BIGINT         DEFAULT 0     NOT NULL,  
  FMODIFIERID  BIGINT         DEFAULT 0     NOT NULL,  	
  FENABLE      NVARCHAR(1)    DEFAULT ' '   NOT NULL, 	
  FCREATETIME  DATETIME ,                  	         
  FMODIFYTIME  DATETIME ,                  	           
  FMASTERID    BIGINT         DEFAULT 0    NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_LICENSETP_L') 
CREATE TABLE T_MPDM_LICENSETP_L
(
  FPKID      NVARCHAR(255)   DEFAULT ' '  NOT NULL,     
  FID        BIGINT          DEFAULT 0    NOT NULL,  
  FLOCALEID  NVARCHAR(255)   DEFAULT ' '  NOT NULL,    
  FNAME      NVARCHAR(50)    DEFAULT ' '  NOT NULL
);


