﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_CHANGERESUME') 
 CREATE TABLE T_MSBD_CHANGERESUME (
FID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FSRCBILLSUBVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FXBILLID BIGINT DEFAULT 0 NOT NULL,
FXBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FXBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FXBIZTIME DATETIME,
FXREASON NVARCHAR(1000),
FXCREATORID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLJSON_TAG NCLOB,
FSRCBILLJSON NVARCHAR(512),
FCHANGEMODELID BIGINT DEFAULT 0 NOT NULL,
FXVALIDSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCURRENTCHANGENUMBER INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_CHANGERESUMEDETAIL') 
 CREATE TABLE T_MSBD_CHANGERESUMEDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FSRCBILLSUBVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FXBILLID BIGINT DEFAULT 0 NOT NULL,
FXBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FXBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FXBIZTIME DATETIME,
FXREASON NVARCHAR(1000),
FXCREATORID BIGINT DEFAULT 0 NOT NULL,
FCRDHEADJSON_TAG NCLOB,
FCRDHEADJSON NVARCHAR(512),
FCRDENTRYJSON_TAG NCLOB,
FCRDENTRYJSON NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_TRACKLOG') 
 CREATE TABLE T_MSBD_TRACKLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FDATETIME DATETIME,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FAPPID VARCHAR(36) DEFAULT ' ' NOT NULL,
FFORMID VARCHAR(255),
FCODEPOSITION VARCHAR(512),
FCLASSNAME VARCHAR(512),
FMETHODNAME VARCHAR(512),
FMETHODPARAM VARCHAR(512),
FMETHODPARAM_TAG NCLOB,
FTRACKLOG NVARCHAR(512),
FTRACKLOGDETAIL VARCHAR(512),
FTRACKLOGDETAIL_TAG NCLOB,
FTRACEID VARCHAR(80) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSBD_table.sql **/
