-- 预制配额计算规则
-- 表：t_msbd_quotacalrule
-- 字段：FMASTERID,FCREATETIME,FALGORITHMID,FENABLE,FSTARTDAYOFWEEK,FSTARTOTHERDATE,FSTARTSEASONTHREEDATE,FDISABLERID,FID,FSTARTDATE,FVALIDPERIOD,FPERIOD,FSTARTDAYOFMONTH,FDISABLEDATE,FRESULTADJUST,FSTATUS,FCALCULATECYCLE,FNUMBER,FNAME,FSTARTSEASONTWODATE,FSTARTSEASONFOURDATE,FSTARTSEASONONEDATE,FMODIFIERID,FISPRESET,FMODIFYTIME,FDESCRIPTION,FSTARTYEARDATE,FCREATORID
-- 条件：fid in (1646404195701853184,1646404467182126080,1646407896965170176,1646408564849609728)
DELETE FROM T_MSBD_QUOTACALRULE WHERE FID = 1646404195701853184;
INSERT INTO T_MSBD_QUOTACALRULE(FID,FDISABLEDATE,FRESULTADJUST,FDESCRIPTION,FMASTERID,FSTATUS,FPERIOD,FNUMBER,FNAME,FCREATETIME,FENABLE,FMODIFIERID,FISPRESET,FALGORITHMID,FMODIFYTIME,FCREATORID,FDISABLERID) VALUES (1646404195701853184,NULL,'1',' ',1646404195701853184,'C','0','PEJS-FP-001','固定比例规则',{ts'2018-08-08  00:00:00'},'1',1,'1',1641327795731035136,{ts'2018-08-08  00:00:00'},1,0); 
DELETE FROM T_MSBD_QUOTACALRULE WHERE FID = 1646404467182126080;
INSERT INTO T_MSBD_QUOTACALRULE(FID,FDISABLEDATE,FRESULTADJUST,FDESCRIPTION,FMASTERID,FSTATUS,FPERIOD,FNUMBER,FNAME,FCREATETIME,FENABLE,FMODIFIERID,FISPRESET,FALGORITHMID,FMODIFYTIME,FCREATORID,FDISABLERID) VALUES (1646404467182126080,NULL,'1',' ',1646404467182126080,'C','0','PEJS-MP-001','最高比例规则',{ts'2018-08-08  00:00:00'},'1',1,'1',1641328034814627840,{ts'2018-08-08  00:00:00'},1,0); 
DELETE FROM T_MSBD_QUOTACALRULE WHERE FID = 1646408564849609728;
INSERT INTO T_MSBD_QUOTACALRULE(FID,FDISABLEDATE,FRESULTADJUST,FDESCRIPTION,FMASTERID,FSTATUS,FPERIOD,FNUMBER,FNAME,FCREATETIME,FENABLE,FMODIFIERID,FISPRESET,FALGORITHMID,FMODIFYTIME,FCREATORID,FDISABLERID) VALUES (1646408564849609728,NULL,'1','动态比例查询产品委外订单',1646408564849609728,'C','1','PEJS-DP-002','动态比例规则（产品委外）',{ts'2018-08-08  00:00:00'},'1',1,'1',1641328234933260288,{ts'2018-08-08  00:00:00'},1,0); 
DELETE FROM T_MSBD_QUOTACALRULE WHERE FID = 1646407896965170176;
INSERT INTO T_MSBD_QUOTACALRULE(FID,FDISABLEDATE,FRESULTADJUST,FDESCRIPTION,FMASTERID,FSTATUS,FPERIOD,FNUMBER,FNAME,FCREATETIME,FENABLE,FMODIFIERID,FISPRESET,FALGORITHMID,FMODIFYTIME,FCREATORID,FDISABLERID) VALUES (1646407896965170176,NULL,'1','动态比例查询非产品委外订单',1646407896965170176,'C','1','PEJS-DP-001','动态比例规则（物料采购）',{ts'2018-08-08  00:00:00'},'1',1,'1',1641328234933260288,{ts'2018-08-08  00:00:00'},1,0); 




DELETE FROM T_MSBD_QUOTACALRULE_L WHERE FPKID = '357RJ712DUQ/';
INSERT INTO T_MSBD_QUOTACALRULE_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1646404195701853184,'357RJ712DUQ/','zh_CN',' ','固定比例规则'); 
DELETE FROM T_MSBD_QUOTACALRULE_L WHERE FPKID = '357RJ712DUQ0';
INSERT INTO T_MSBD_QUOTACALRULE_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1646404195701853184,'357RJ712DUQ0','zh_TW',' ','固定比例規則'); 
DELETE FROM T_MSBD_QUOTACALRULE_L WHERE FPKID = '357RL66H+HSD';
INSERT INTO T_MSBD_QUOTACALRULE_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1646404467182126080,'357RL66H+HSD','zh_CN',' ','最高比例规则'); 
DELETE FROM T_MSBD_QUOTACALRULE_L WHERE FPKID = '357RL66H+HSE';
INSERT INTO T_MSBD_QUOTACALRULE_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1646404467182126080,'357RL66H+HSE','zh_TW',' ','最高比例規則'); 
DELETE FROM T_MSBD_QUOTACALRULE_L WHERE FPKID = '357S85XDHW=P';
INSERT INTO T_MSBD_QUOTACALRULE_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1646407896965170176,'357S85XDHW=P','zh_CN','动态比例查询非产品委外订单','动态比例规则（物料采购）'); 
DELETE FROM T_MSBD_QUOTACALRULE_L WHERE FPKID = '357S85XDHW=Q';
INSERT INTO T_MSBD_QUOTACALRULE_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1646407896965170176,'357S85XDHW=Q','zh_TW','動態比例查詢非產品委外訂單','動態比例規則（物料采購）'); 
DELETE FROM T_MSBD_QUOTACALRULE_L WHERE FPKID = '357SC0PWPRPD';
INSERT INTO T_MSBD_QUOTACALRULE_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1646408564849609728,'357SC0PWPRPD','zh_CN','动态比例查询产品委外订单','动态比例规则（产品委外）'); 
DELETE FROM T_MSBD_QUOTACALRULE_L WHERE FPKID = '357SC0PWPRPE';
INSERT INTO T_MSBD_QUOTACALRULE_L(FID,FPKID,FLOCALEID,FDESCRIPTION,FNAME) VALUES (1646408564849609728,'357SC0PWPRPE','zh_TW','動態比例查詢產品委外訂單','動態比例規則（產品委外）'); 



DELETE FROM T_MSBD_QUOTACALRULEENTRY WHERE FENTRYID = 1665402620896162816;
INSERT INTO T_MSBD_QUOTACALRULEENTRY(FID,FDATARANGEJSON,FDATAMAPPINGID,FENTRYID,FSEQ,FDATARANGE,FDATASOURCE,FDATARANGEJSON_TAG) VALUES (1646407896965170176,' ',1665401265540379648,1665402620896162816,2,'物料明细.委外工单ID 等于 0   and    单据状态 等于 已审核   and    关闭状态 不等于 已关闭   and    物料明细.行关闭状态 不等于 已关闭   and    物料明细.行终止状态 不等于 已终止','pm_purorderbill','{"filterRow":[{"id":"37JUB=8XEZ6P","leftBracket":"","compareType":"67","fieldName":"mftorderid","rightBracket":"","logic":"0","value":[{"id":"37JUB=8XJ43R","value":"0"}],"baseDataIds":[]},{"id":"37JUB=8XEZ6Q","leftBracket":"","compareType":"105","fieldName":"billstatus","rightBracket":"","logic":"0","value":[{"id":"37JUB=8XJ43S","value":"C"}],"baseDataIds":[]},{"id":"37JUB=8XEZ6R","leftBracket":"","compareType":"106","fieldName":"closestatus","rightBracket":"","logic":"0","value":[{"id":"37JUB=8XJ43T","value":"B"}],"baseDataIds":[]},{"id":"37JUB=8XEZ6S","leftBracket":"","compareType":"106","fieldName":"rowclosestatus","rightBracket":"","logic":"0","value":[{"id":"37JUB=8XJ43U","value":"B"}],"baseDataIds":[]},{"id":"37JUB=8XEZ6T","leftBracket":"","compareType":"106","fieldName":"rowterminatestatus","rightBracket":"","logic":"0","value":[{"id":"37JUB=8XJ43V","value":"B"}],"baseDataIds":[]}],"forList":false}'); 
DELETE FROM T_MSBD_QUOTACALRULEENTRY WHERE FENTRYID = 1660277797400363008;
INSERT INTO T_MSBD_QUOTACALRULEENTRY(FID,FDATARANGEJSON,FDATAMAPPINGID,FENTRYID,FSEQ,FDATARANGE,FDATASOURCE,FDATARANGEJSON_TAG) VALUES (1646407896965170176,' ',1632542734550154240,1660277797400363008,1,'物料明细.委外工单ID 等于 0   and    单据状态 等于 已审核   and   ( 关闭状态 等于 已关闭   or    物料明细.行关闭状态 等于 已关闭   or    物料明细.行终止状态 等于 已终止 )','pm_purorderbill','{"filterRow":[{"id":"37JUGD1GMSXV","leftBracket":"","compareType":"67","fieldName":"mftorderid","rightBracket":"","logic":"0","value":[{"id":"37JUGD1GQZUX","value":"0"}],"baseDataIds":[]},{"id":"37JUGD1GMSXW","leftBracket":"","compareType":"105","fieldName":"billstatus","rightBracket":"","logic":"0","value":[{"id":"37JUGD1GQZUY","value":"C"}],"baseDataIds":[]},{"id":"37JUGD1GMSXX","leftBracket":"(","compareType":"105","fieldName":"closestatus","rightBracket":"","logic":"1","value":[{"id":"37JUGD1GQZUZ","value":"B"}],"baseDataIds":[]},{"id":"37JUGD1GMSXY","leftBracket":"","compareType":"105","fieldName":"rowclosestatus","rightBracket":"","logic":"1","value":[{"id":"37JUGD1GQZV+","value":"B"}],"baseDataIds":[]},{"id":"37JUGD1GMSXZ","leftBracket":"","compareType":"105","fieldName":"rowterminatestatus","rightBracket":")","logic":"0","value":[{"id":"37JUGD1GQZV/","value":"B"}],"baseDataIds":[]}],"forList":false}'); 
DELETE FROM T_MSBD_QUOTACALRULEENTRY WHERE FENTRYID = 1660278544833600512;
INSERT INTO T_MSBD_QUOTACALRULEENTRY(FID,FDATARANGEJSON,FDATAMAPPINGID,FENTRYID,FSEQ,FDATARANGE,FDATASOURCE,FDATARANGEJSON_TAG) VALUES (1646408564849609728,' ',1632542734550154240,1660278544833600512,1,'物料明细.委外工单ID 不等于 0   and    单据状态 等于 已审核   and   ( 关闭状态 等于 已关闭   or    物料明细.行关闭状态 等于 已关闭   or    物料明细.行终止状态 等于 已终止 )','pm_purorderbill','{"filterRow":[{"id":"37JSM150EO+2","leftBracket":"","compareType":"83","fieldName":"mftorderid","rightBracket":"","logic":"0","value":[{"id":"37JSM150EIL0","value":"0"}],"baseDataIds":[]},{"id":"37JSM150EO+3","leftBracket":"","compareType":"105","fieldName":"billstatus","rightBracket":"","logic":"0","value":[{"id":"37JSM150EIL1","value":"C"}],"baseDataIds":[]},{"id":"37JSM150EO+4","leftBracket":"(","compareType":"105","fieldName":"closestatus","rightBracket":"","logic":"1","value":[{"id":"37JSM150EIL2","value":"B"}],"baseDataIds":[]},{"id":"37JSM150EO+5","leftBracket":"","compareType":"105","fieldName":"rowclosestatus","rightBracket":"","logic":"1","value":[{"id":"37JSM150EIL3","value":"B"}],"baseDataIds":[]},{"id":"37JSM150EO+6","leftBracket":"","compareType":"105","fieldName":"rowterminatestatus","rightBracket":")","logic":"0","value":[{"id":"37JSM150EIL4","value":"B"}],"baseDataIds":[]}],"forList":false}'); 
DELETE FROM T_MSBD_QUOTACALRULEENTRY WHERE FENTRYID = 1665404942745408512;
INSERT INTO T_MSBD_QUOTACALRULEENTRY(FID,FDATARANGEJSON,FDATAMAPPINGID,FENTRYID,FSEQ,FDATARANGE,FDATASOURCE,FDATARANGEJSON_TAG) VALUES (1646408564849609728,' ',1665401265540379648,1665404942745408512,2,'物料明细.委外工单ID 不等于 0   and    单据状态 等于 已审核   and    关闭状态 不等于 已关闭   and    物料明细.行关闭状态 不等于 已关闭   and    物料明细.行终止状态 不等于 已终止','pm_purorderbill','{"filterRow":[{"id":"37JSR5=1I4HZ","leftBracket":"","compareType":"83","fieldName":"mftorderid","rightBracket":"","logic":"0","value":[{"id":"37JSR5=1I/3X","value":"0"}],"baseDataIds":[]},{"id":"37JSR5=1I4I+","leftBracket":"","compareType":"105","fieldName":"billstatus","rightBracket":"","logic":"0","value":[{"id":"37JSR5=1I/3Y","value":"C"}],"baseDataIds":[]},{"id":"37JSR5=1I4I/","leftBracket":"","compareType":"106","fieldName":"closestatus","rightBracket":"","logic":"0","value":[{"id":"37JSR5=1I/3Z","value":"B"}],"baseDataIds":[]},{"id":"37JSR5=1I4I0","leftBracket":"","compareType":"106","fieldName":"rowclosestatus","rightBracket":"","logic":"0","value":[{"id":"37JSR5=1I/4+","value":"B"}],"baseDataIds":[]},{"id":"37JSR5=1I4I1","leftBracket":"","compareType":"106","fieldName":"rowterminatestatus","rightBracket":"","logic":"0","value":[{"id":"37JSR5=1I/4/","value":"B"}],"baseDataIds":[]}],"forList":false}'); 
