-- 采购订单，采购合同增加允许超额付款校验 
DELETE FROM T_MSBD_DMFUNIT_L WHERE FPKID = '3F/6C3+XGP4S';
INSERT INTO T_MSBD_DMFUNIT_L ( FID, FLOCALEID, FPKID, FDESCRIPTION, FNAME) VALUES ( 1734160116204188672, 'zh_TW', '3F/6C3+XGP4S', '處理采購合同允許超額付款字段校驗：允許超額付款開啟時，允許付款金額超過采購合同財務信息.價稅合計；關閉時，付款金額不允許超過采購合同財務信息.價稅合計。合同類型.合同控製不包含總金額時，隻能設置為允許超額付款。', '合同管理_采購合同_允許超額付款校驗');
DELETE FROM T_MSBD_DMFUNIT_L WHERE FPKID = '3F/6C3+XGP4T';
INSERT INTO T_MSBD_DMFUNIT_L ( FID, FLOCALEID, FPKID, FDESCRIPTION, FNAME) VALUES ( 1734160116204188672, 'zh_CN', '3F/6C3+XGP4T', '处理采购合同允许超额付款字段校验：允许超额付款开启时，允许付款金额超过采购合同财务信息.价税合计；关闭时，付款金额不允许超过采购合同财务信息.价税合计。合同类型.合同控制不包含总金额时，只能设置为允许超额付款。', '合同管理_采购合同_允许超额付款校验');
DELETE FROM T_MSBD_DMFUNITENTRY_P WHERE FENTRYID = 1734160116724282368;
INSERT INTO T_MSBD_DMFUNITENTRY_P ( FID, FPLUGINENABLE, FPLUGINCLASSNAME, FPLUGINCLASSURL, FENTRYID, FSEQ, FPLUGINDESCRIPTION, FPLUGINJSON, FCUSTOMPARAMETER_TAG, FCUSTOMPARAMETER) VALUES ( 1734160116204188672, '1', 'AllowOverPayValidator', 'kd.scmc.conm.validation.contract.PurContractAllowOverPayValidator', 1734160116724282368, 1, '合同允许超额付款校验', '{"className":"kd.scmc.conm.validation.contract.PurContractAllowOverPayValidator","enabled":true,"description":"合同允许超额付款校验","rowKey":0,"type":0,"events":[],"scriptNumber":"AllowOverPayValidator","dynamicPlugin":false}', ' ', ' ');
DELETE FROM T_MSBD_DMFUNIT WHERE FID = 1734160116204188672;
INSERT INTO T_MSBD_DMFUNIT ( FID, FMASTERID, FSTATUS, FAREAJSON_TAG, FAREAJSON, FNUMBER, FAREADESCRIPTION, FCREATETIME, FENTITYID, FENABLE, FMODIFIERID, FISPRESET, FMODIFYTIME, FCREATORID, FSCOPETYPE) VALUES ( 1734160116204188672, 1734160116204188672, 'C', '{"filterRow":[{"id":"3FFHZP5ZFIY4","leftBracket":"","compareType":"105","fieldName":"isallowoverpay","rightBracket":"","logic":"0","value":[{"id":"3FFHZP61/VNM","value":"0"}],"baseDataIds":[]}],"forList":false}', ' ', 'conm_purcontract_overpayval', '允许超额付款为否时参与校验',{ts'2018-08-08  00:00:00'}, 'conm_purcontract', '1',1, '1',{ts'2018-08-08  00:00:00'},1, 'JY');


DELETE FROM T_MSBD_DMFUNIT_L WHERE FPKID = '3F/ARBBX9V7W';
INSERT INTO T_MSBD_DMFUNIT_L ( FID, FLOCALEID, FPKID, FDESCRIPTION, FNAME) VALUES ( 1734188967990934528, 'zh_TW', '3F/ARBBX9V7W', '校驗當采購訂單允許超額付款邏輯：開啟時，允許每行付款金額超過采購訂單行價稅合計；關閉時，所有行不允許付款金額超過采購訂單行價稅合計。存在物料明細非贈品無單價，收貨上限數量大於數量和上限金額大於價稅合計時，隻能設置為允許超額付款。', '采購管理_采購訂單_允許超額付款校驗');
DELETE FROM T_MSBD_DMFUNIT_L WHERE FPKID = '3F/ARBBX9V7X';
INSERT INTO T_MSBD_DMFUNIT_L ( FID, FLOCALEID, FPKID, FDESCRIPTION, FNAME) VALUES ( 1734188967990934528, 'zh_CN', '3F/ARBBX9V7X', '校验当采购订单允许超额付款逻辑：开启时，允许每行付款金额超过采购订单行价税合计；关闭时，所有行不允许付款金额超过采购订单行价税合计。存在物料明细非赠品无单价，收货上限数量大于数量和上限金额大于价税合计时，只能设置为允许超额付款。', '采购管理_采购订单_允许超额付款校验');
DELETE FROM T_MSBD_DMFUNITENTRY_P WHERE FENTRYID = 1734188968167095296;
INSERT INTO T_MSBD_DMFUNITENTRY_P ( FID, FPLUGINENABLE, FPLUGINCLASSNAME, FPLUGINCLASSURL, FENTRYID, FSEQ, FPLUGINDESCRIPTION, FPLUGINJSON, FCUSTOMPARAMETER_TAG, FCUSTOMPARAMETER) VALUES ( 1734188967990934528, '1', '采购订单允许超额付款校验', 'kd.scmc.pm.validation.order.PurOrderBillAllowOverPayValidator', 1734188968167095296, 1, '采购订单允许超额付款校验', '{"className":"kd.scmc.pm.validation.order.PurOrderBillAllowOverPayValidator","enabled":true,"description":"采购订单允许超额付款校验","rowKey":0,"type":0,"events":[],"scriptNumber":"采购订单允许超额付款校验","dynamicPlugin":false}', ' ', ' ');
DELETE FROM T_MSBD_DMFUNIT WHERE FID = 1734188967990934528;
INSERT INTO T_MSBD_DMFUNIT ( FID, FMASTERID, FSTATUS, FAREAJSON_TAG, FAREAJSON, FNUMBER, FAREADESCRIPTION, FCREATETIME, FENTITYID, FENABLE, FMODIFIERID, FISPRESET, FMODIFYTIME, FCREATORID, FSCOPETYPE) VALUES ( 1734188967990934528, 1734188967990934528, 'C', '{"filterRow":[{"id":"3FFI0/=ASID8","leftBracket":"","compareType":"105","fieldName":"isallowoverpay","rightBracket":"","logic":"0","value":[{"id":"3FFI0/=AQEY7","value":"0"}],"baseDataIds":[]}],"forList":false}', ' ', 'pm_purorderbill_overpayval', '允许超额付款为否时参与校验',{ts'2018-08-08  00:00:00'}, 'pm_purorderbill', '1',1, '1',{ts'2018-08-08  00:00:00'},1, 'JY');


DELETE FROM T_MSBD_DMFVSCHEMEENTRY WHERE FENTRYID = 1734154817699373056;
INSERT INTO T_MSBD_DMFVSCHEMEENTRY ( FID, FENTRYID, FSEQ, FDMFUNITID, FDMFUNITENABLE) VALUES ( 1734154817539989504, 1734154817699373056, 1, 1734160116204188672, '1');
DELETE FROM T_MSBD_DMFVSCHEME WHERE FID = 1734154817539989504;
INSERT INTO T_MSBD_DMFVSCHEME ( FID, FMASTERID, FSTATUS, FNUMBER, FCREATETIME, FENTITYID, FMODIFIERID, FENABLE, FISPRESET, FMODIFYTIME, FENTITYOPERATION, FCREATORID) VALUES ( 1734154817539989504, 1734154817539989504, 'C', 'conm_purcontract_overpay',{ts'2018-08-08  00:00:00'}, 'conm_purcontract',1, '1', '1',{ts'2018-08-08  00:00:00'}, ',submit,copublish,',1);
DELETE FROM T_MSBD_DMFVSCHEME_L WHERE FPKID = '3F/5CH159O3M';
INSERT INTO T_MSBD_DMFVSCHEME_L ( FID, FLOCALEID, FPKID, FDESCRIPTION, FNAME) VALUES ( 1734154817539989504, 'zh_TW', '3F/5CH159O3M', ' ', '合同管理_采購合同_允許超額付款');
DELETE FROM T_MSBD_DMFVSCHEME_L WHERE FPKID = '3F/5CH159O3N';
INSERT INTO T_MSBD_DMFVSCHEME_L ( FID, FLOCALEID, FPKID, FDESCRIPTION, FNAME) VALUES ( 1734154817539989504, 'zh_CN', '3F/5CH159O3N', ' ', '合同管理_采购合同_允许超额付款');

DELETE FROM T_MSBD_DMFVSCHEMEENTRY WHERE FENTRYID = 1734189998061666304;
INSERT INTO T_MSBD_DMFVSCHEMEENTRY ( FID, FENTRYID, FSEQ, FDMFUNITID, FDMFUNITENABLE) VALUES ( 1734189997994557440, 1734189998061666304, 1, 1734188967990934528, '1');
DELETE FROM T_MSBD_DMFVSCHEME WHERE FID = 1734189997994557440;
INSERT INTO T_MSBD_DMFVSCHEME ( FID, FMASTERID, FSTATUS, FNUMBER, FCREATETIME, FENTITYID, FMODIFIERID, FENABLE, FISPRESET, FMODIFYTIME, FENTITYOPERATION, FCREATORID) VALUES ( 1734189997994557440, 1734189997994557440, 'C', 'pm_purorderbill_submit',{ts'2018-08-08  00:00:00'}, 'pm_purorderbill',1, '1', '1',{ts'2018-08-08  00:00:00'}, ',submit,',1);
DELETE FROM T_MSBD_DMFVSCHEME_L WHERE FPKID = '3F/AYV0QYO34';
INSERT INTO T_MSBD_DMFVSCHEME_L ( FID, FLOCALEID, FPKID, FDESCRIPTION, FNAME) VALUES ( 1734189997994557440, 'zh_TW', '3F/AYV0QYO34', ' ', '采購管理_采購訂單_提交');
DELETE FROM T_MSBD_DMFVSCHEME_L WHERE FPKID = '3F/AYV0QYO35';
INSERT INTO T_MSBD_DMFVSCHEME_L ( FID, FLOCALEID, FPKID, FDESCRIPTION, FNAME) VALUES ( 1734189997994557440, 'zh_CN', '3F/AYV0QYO35', ' ', '采购管理_采购订单_提交');
