-- 总量预留表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_RESERVEAGGREGATE') 
 CREATE TABLE T_MSMOD_RESERVEAGGREGATE (
fid BIGINT DEFAULT 0 NOT NULL,
forgid BIGINT DEFAULT 0 NOT NULL,
fkeycol NVARCHAR(50) DEFAULT ' ' NOT NULL,
fwarehouseid BIGINT DEFAULT 0 NOT NULL,
flocationid BIGINT DEFAULT 0 NOT NULL,
fownertype NVARCHAR(50) DEFAULT ' ' NOT NULL,
fownerid BIGINT DEFAULT 0 NOT NULL,
fkeepertype NVARCHAR(50) DEFAULT ' ' NOT NULL,
fkeeperid BIGINT DEFAULT 0 NOT NULL,
finvstatusid BIGINT DEFAULT 0 NOT NULL,
finvtypeid BIGINT DEFAULT 0 NOT NULL,
fmaterialid BIGINT DEFAULT 0 NOT NULL,
fauxptyid BIGINT DEFAULT 0 NOT NULL,
flotnum NVARCHAR(50) DEFAULT ' ' NOT NULL,
fprojectid BIGINT DEFAULT 0 NOT NULL,
fproducedate DATETIME,
fexpirydate DATETIME,
fbaseunitid BIGINT DEFAULT 0 NOT NULL,
funitid BIGINT DEFAULT 0 NOT NULL,
funit2ndid BIGINT DEFAULT 0 NOT NULL,
ftracknumberid BIGINT DEFAULT 0 NOT NULL,
fconfiguredcodeid BIGINT DEFAULT 0 NOT NULL,
fbaseqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
fqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
fqty2nd DECIMAL(23,10) DEFAULT 0 NOT NULL,
fbarobj NVARCHAR(50) DEFAULT ' ' NOT NULL
);

-- 总量预留拆分表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_RESERVEAGGREGATE_A') 
 CREATE TABLE T_MSMOD_RESERVEAGGREGATE_A (
fid BIGINT DEFAULT 0 NOT NULL,
flockbaseqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
flockqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
flockqty2nd DECIMAL(23,10) DEFAULT 0 NOT NULL,
favbbaseqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
favbqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
favbqty2nd DECIMAL(23,10) DEFAULT 0 NOT NULL
 );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_RESERVEAGGREGATE_SP') 
 CREATE TABLE T_MSMOD_RESERVEAGGREGATE_SP (
fid BIGINT DEFAULT 0 NOT NULL,
fkeycol NVARCHAR(50) DEFAULT ' ' NOT NULL,
fbillname NVARCHAR(50) DEFAULT ' ' NOT NULL,
fbillid BIGINT DEFAULT 0 NOT NULL,
fentryid BIGINT DEFAULT 0 NOT NULL,
fupdatetime BIGINT DEFAULT 0 NOT NULL,
fisnew CHAR(1) DEFAULT '0' NOT NULL,
fstatus NVARCHAR(50) DEFAULT ' ' NOT NULL,
fupdatetype BIGINT DEFAULT 0 NOT NULL,
fbillno NVARCHAR(50) DEFAULT ' ' NOT NULL,
fentryseq BIGINT DEFAULT 0 NOT NULL,
fupdateruleid NVARCHAR(50) DEFAULT ' ' NOT NULL,
fbaseqty_sp DECIMAL(23,10) DEFAULT 0 NOT NULL,
fqty_sp DECIMAL(23,10) DEFAULT 0 NOT NULL,
fqty2nd_sp DECIMAL(23,10) DEFAULT 0 NOT NULL
 );
 