﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSRCS_constraint.sql **/
 EXEC P_ALTERPK 'PK_MSRCS_REBATESCHEMA', 'T_MSRCS_REBATESCHEMA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSRCS_REBATESCHEMA' AND KSQL_INDNAME = 'IDX_MSRCS_REBATESCHEMA_NUM') CREATE INDEX IDX_MSRCS_REBATESCHEMA_NUM ON T_MSRCS_REBATESCHEMA ( FNUMBER );


 EXEC P_ALTERPK 'PK_MSRCS_REBATESCHEMA_CF', 'T_MSRCS_REBATESCHEMA_CF', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSRCS_REBATESCHEMA_CF' AND KSQL_INDNAME = 'IDX_MSRCS_REBATESCHEMACF_FID') CREATE INDEX IDX_MSRCS_REBATESCHEMACF_FID ON T_MSRCS_REBATESCHEMA_CF ( FID );


 EXEC P_ALTERPK 'PK_MSRCS_REBATESCHEMA_JS', 'T_MSRCS_REBATESCHEMA_JS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSRCS_REBATESCHEMA_JS' AND KSQL_INDNAME = 'IDX_MSRCS_REBATESCHEMAJS_FID') CREATE INDEX IDX_MSRCS_REBATESCHEMAJS_FID ON T_MSRCS_REBATESCHEMA_JS ( FID );


 EXEC P_ALTERPK 'PK_MSRCS_REBATESCHEMA_L', 'T_MSRCS_REBATESCHEMA_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSRCS_REBATESCHEMA_L' AND KSQL_INDNAME = 'IDX_MSRCS_REBATESCHEMAL_FLID') CREATE INDEX IDX_MSRCS_REBATESCHEMAL_FLID ON T_MSRCS_REBATESCHEMA_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MSRCS_REBATESCHEMA_SE', 'T_MSRCS_REBATESCHEMA_SE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSRCS_REBATESCHEMA_SE' AND KSQL_INDNAME = 'IDX_MSRCS_REBATESCHEMASE_FID') CREATE INDEX IDX_MSRCS_REBATESCHEMASE_FID ON T_MSRCS_REBATESCHEMA_SE ( FID );


 EXEC P_ALTERPK 'PK_MSRCS_REBATESOURCE', 'T_MSRCS_REBATESOURCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSRCS_REBATESOURCE' AND KSQL_INDNAME = 'IDX_MSRCS_REBATESOURCE_NUM') CREATE INDEX IDX_MSRCS_REBATESOURCE_NUM ON T_MSRCS_REBATESOURCE ( FNUMBER );


 EXEC P_ALTERPK 'PK_MSRCS_REBATESOURCE_E', 'T_MSRCS_REBATESOURCE_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSRCS_REBATESOURCE_E' AND KSQL_INDNAME = 'IDX_MSRCS_REBATESOURCEE_FID') CREATE INDEX IDX_MSRCS_REBATESOURCEE_FID ON T_MSRCS_REBATESOURCE_E ( FID );


 EXEC P_ALTERPK 'PK_MSRCS_REBATESOURCE_L', 'T_MSRCS_REBATESOURCE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSRCS_REBATESOURCE_L' AND KSQL_INDNAME = 'IDX_MSRCS_REBATESOURCEL_FLID') CREATE INDEX IDX_MSRCS_REBATESOURCEL_FLID ON T_MSRCS_REBATESOURCE_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSRCS_constraint.sql **/
