﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_INSPOBJDP_E') 
 CREATE TABLE T_MPDM_INSPOBJDP_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSDENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARAINFO_TAG NCLOB,
FPARAINFOBATCH NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARAINFOBATCH_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_INSPOBJDP_L') 
 CREATE TABLE T_MPDM_INSPOBJDP_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_INSPOBJDP') 
 CREATE TABLE T_MPDM_INSPOBJDP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FTGENTITYNUMBERID NVARCHAR(255) DEFAULT '0' NOT NULL,
FTGAPPID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTGOPR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISMAKEPARA CHAR(1) DEFAULT '0' NOT NULL,
FVERSION INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_TRAPRODUCT_D' AND KSQL_COL_NAME ='FISAUTOCREAT') 
 ALTER TABLE T_MPDM_TRAPRODUCT_D ADD (FISAUTOCREAT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_TRAPRODUCT_D' AND KSQL_COL_NAME ='FOUTCONVERSIONRULEID') 
 ALTER TABLE T_MPDM_TRAPRODUCT_D ADD (FOUTCONVERSIONRULEID NVARCHAR(36) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
