﻿EXEC P_ALTERPK 'PK_MPDM_APSYSTEM', 'T_MPDM_APSYSTEM', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_APSYSTEM_FNUMBER') CREATE INDEX IDX_MPDM_APSYSTEM_FNUMBER ON T_MPDM_APSYSTEM (FNUMBER);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_APSYSTEM_FCREATETIME') CREATE INDEX IDX_MPDM_APSYSTEM_FCREATETIME ON T_MPDM_APSYSTEM (FCREATETIME);


EXEC P_ALTERPK 'PK_MPDM_APSYSTEM_L', 'T_MPDM_APSYSTEM_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_APSYSTEM_L_FID') CREATE INDEX IDX_MPDM_APSYSTEM_L_FID ON T_MPDM_APSYSTEM_L (FID,FLOCALEID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_APSYSTEM_L_FNAME') CREATE INDEX IDX_MPDM_APSYSTEM_L_FNAME ON T_MPDM_APSYSTEM_L (FNAME);


EXEC P_ALTERPK 'PK_MPDM_CABINCONFIG', 'T_MPDM_CABINCONFIG', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CABINCONFIG_FNUM') CREATE INDEX IDX_MPDM_CABINCONFIG_FNUM ON T_MPDM_CABINCONFIG (FNUMBER);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CABINCONFIG_FCTE') CREATE INDEX IDX_MPDM_CABINCONFIG_FCTE ON T_MPDM_CABINCONFIG (FCREATETIME);


EXEC P_ALTERPK 'PK_MPDM_CABINCONFIG_L', 'T_MPDM_CABINCONFIG_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CABINCONFIG_L_FID') CREATE INDEX IDX_MPDM_CABINCONFIG_L_FID ON T_MPDM_CABINCONFIG_L (FID,FLOCALEID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_CABINCONFIG_L_FNAME') CREATE INDEX IDX_MPDM_CABINCONFIG_L_FNAME ON T_MPDM_CABINCONFIG_L (FNAME);


EXEC P_ALTERPK 'PK_MPDM_OWNERINFO', 'T_MPDM_OWNERINFO', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_OWNERINFO_FNUM') CREATE INDEX IDX_MPDM_OWNERINFO_FNUM ON T_MPDM_OWNERINFO (FNUMBER);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_OWNERINFO_FCTE') CREATE INDEX IDX_MPDM_OWNERINFO_FCTE ON T_MPDM_OWNERINFO (FCREATETIME);


EXEC P_ALTERPK 'PK_MPDM_OWNERINFO_L', 'T_MPDM_OWNERINFO_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_OWNERINFO_L_FID') CREATE INDEX IDX_MPDM_OWNERINFO_L_FID ON T_MPDM_OWNERINFO_L (FID,FLOCALEID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_OWNERINFO_L_FNAME') CREATE INDEX IDX_MPDM_OWNERINFO_L_FNAME ON T_MPDM_OWNERINFO_L (FNAME);


EXEC P_ALTERPK 'PK_MPDM_VALUEINFO', 'T_MPDM_VALUEINFO', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_VALUEINFO_FNUM') CREATE INDEX IDX_MPDM_VALUEINFO_FNUM ON T_MPDM_VALUEINFO (FNUMBER);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_VALUEINFO_FCTE') CREATE INDEX IDX_MPDM_VALUEINFO_FCTE ON T_MPDM_VALUEINFO (FCREATETIME);


EXEC P_ALTERPK 'PK_MPDM_VALUEINFO_L', 'T_MPDM_VALUEINFO_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_VALUEINFO_L_FID') CREATE INDEX IDX_MPDM_VALUEINFO_L_FID ON T_MPDM_VALUEINFO_L (FID,FLOCALEID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_VALUEINFO_L_FNAME') CREATE INDEX IDX_MPDM_VALUEINFO_L_FNAME ON T_MPDM_VALUEINFO_L (FNAME);