﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_constraint.sql **/
 EXEC P_ALTERPK 'PK_MPDM_WKACTIVITY', 'T_MPDM_WKACTIVITY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WKACTIVITY') CREATE INDEX IDX_MPDM_WKACTIVITY ON T_MPDM_WKACTIVITY ( FENTRYID );
 
 EXEC P_ALTERPK 'PK_MPDM_WKENTRYDOC', 'T_MPDM_WKENTRYDOC', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WKENTRYDOC') CREATE INDEX IDX_MPDM_WKENTRYDOC ON T_MPDM_WKENTRYDOC ( FID );
 
 EXEC P_ALTERPK 'PK_MPDM_WKENTRYPANEL', 'T_MPDM_WKENTRYPANEL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WKENTRYPANEL') CREATE INDEX IDX_MPDM_WKENTRYPANEL ON T_MPDM_WKENTRYPANEL ( FID );
 
 EXEC P_ALTERPK 'PK_MPDM_WKDOCATTA', 'T_MPDM_WKDOCATTA', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WKDOCATTA_ENTRYID') CREATE INDEX IDX_MPDM_WKDOCATTA_ENTRYID ON T_MPDM_WKDOCATTA ( FENTRYID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WKDOCATTA_CARDID') CREATE INDEX IDX_MPDM_WKDOCATTA_CARDID ON T_MPDM_WKDOCATTA ( FCARDID );
 
 EXEC P_ALTERPK 'PK_MPDM_WKENTRYSEQ', 'T_MPDM_WKENTRYSEQ', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WKENTRYSEQ') CREATE INDEX IDX_MPDM_WKENTRYSEQ ON T_MPDM_WKENTRYSEQ ( FID );
 
 EXEC P_ALTERPK 'PK_MPDM_WKENTRYSEQREL', 'T_MPDM_WKENTRYSEQREL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WKENTRYSEQREL') CREATE INDEX IDX_MPDM_WKENTRYSEQREL ON T_MPDM_WKENTRYSEQREL ( FID );
 
 EXEC P_ALTERPK 'PK_MPDM_MENTRYROUTE', 'T_MPDM_MENTRYROUTE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_MENTRYROUTE') CREATE INDEX IDX_T_MPDM_MENTRYROUTE ON T_MPDM_MENTRYROUTE ( FID );


 EXEC P_ALTERPK 'PK_MPDM_MROCARDROUTE', 'T_MPDM_MROCARDROUTE', 'FCARDID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_MROCARDROUTE_ORG') CREATE INDEX IDX_T_MPDM_MROCARDROUTE_ORG ON T_MPDM_MROCARDROUTE ( FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_MROCARDROUTE_MASTER') CREATE INDEX IDX_T_MPDM_MROCARDROUTE_MASTER ON T_MPDM_MROCARDROUTE ( FMASTERID );


 EXEC P_ALTERPK 'PK_MPDM_MROCARDROUTE_L', 'T_MPDM_MROCARDROUTE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_MROCARDROUTE_L') CREATE INDEX IDX_T_MPDM_MROCARDROUTE_L ON T_MPDM_MROCARDROUTE_L ( FCARDID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MPDM_MROWKCARDROUTE', 'T_MPDM_MROWKCARDROUTE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_MROWK_ORG') CREATE INDEX IDX_T_MPDM_MROWK_ORG ON T_MPDM_MROWKCARDROUTE ( FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_MROWK_MASTER') CREATE INDEX IDX_T_MPDM_MROWK_MASTER ON T_MPDM_MROWKCARDROUTE ( FMASTERID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_MROWK_CARDID') CREATE INDEX IDX_T_MPDM_MROWK_CARDID ON T_MPDM_MROWKCARDROUTE ( FCARDID );


 EXEC P_ALTERPK 'PK_T_MPDM_MROWKCARDROUTE_L', 'T_MPDM_MROWKCARDROUTE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_MROWK_L') CREATE INDEX IDX_T_MPDM_MROWK_L ON T_MPDM_MROWKCARDROUTE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MPDM_WKIDENTITY', 'T_MPDM_WKIDENTITY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_WKIDENTITY') CREATE INDEX IDX_T_MPDM_WKIDENTITY ON T_MPDM_WKIDENTITY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_WKIDENTITY_1') CREATE INDEX IDX_T_MPDM_WKIDENTITY_1 ON T_MPDM_WKIDENTITY ( FCARDID );

 EXEC P_ALTERPK 'PK_MPDM_SUBENTRYROUTE', 'T_MPDM_SUBENTRYROUTE', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_SUBENTRYROUTE') CREATE INDEX IDX_MPDM_SUBENTRYROUTE ON T_MPDM_SUBENTRYROUTE ( FENTRYID );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_constraint.sql **/
