﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WORKSCOPEINS')
 CREATE TABLE T_MPDM_WORKSCOPEINS (
	FID                  BIGINT            DEFAULT 0           NOT NULL,        
	FNUMBER              NVARCHAR(30)      DEFAULT ' '         NOT NULL,        
	FNAME                NVARCHAR(50)      DEFAULT ' '         NOT NULL,       
	FSTATUS              NVARCHAR(50)      DEFAULT ' '         NOT NULL,      
	FCREATORID           BIGINT            DEFAULT 0           NOT NULL,       
	FMODIFIERID          BIGINT            DEFAULT 0           NOT NULL,      
	FENABLE              NVARCHAR(50)      DEFAULT ' '         NOT NULL,      
	FCREATETIME          DATETIME,       
	FMODIFYTIME          DATETIME,       
	FMASTERID            BIGINT            DEFAULT 0           NOT NULL,     
	FWORKSCOPETPLID      BIGINT            DEFAULT 0           NOT NULL,       
	FCONTENTDETAIL       NVARCHAR(255)     DEFAULT ' '         NOT NULL,      
	FCONTENTDETAIL_TAG   NCLOB             DEFAULT ' '         NOT NULL,      
	FCOMBOTYPE           NVARCHAR(50)      DEFAULT ' '         NOT NULL,    
	FCOMBOSYMBOL         NVARCHAR(50)      DEFAULT ' '         NOT NULL       
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WORKSCOPEINS_L')
 CREATE TABLE T_MPDM_WORKSCOPEINS_L (
	FPKID                NVARCHAR(36)      DEFAULT ' '         NOT NULL,      
	FID                  BIGINT            DEFAULT 0           NOT NULL,       
	FLOCALEID            NVARCHAR(10)      DEFAULT ' '         NOT NULL,       
	FNAME                NVARCHAR(50)      DEFAULT ' '         NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WROKSCP_CATE')
 CREATE TABLE T_MPDM_WROKSCP_CATE (
	FPKID                BIGINT            DEFAULT 0           NOT NULL,      
	FID                  BIGINT            DEFAULT 0           NOT NULL,    
	FBASEDATAID          BIGINT            DEFAULT 0           NOT NULL      
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WROKSCP_DETAIL')
 CREATE TABLE T_MPDM_WROKSCP_DETAIL (
	FPKID                BIGINT            DEFAULT 0           NOT NULL,       
	FID                  BIGINT            DEFAULT 0           NOT NULL,      
	FBASEDATAID          BIGINT            DEFAULT 0           NOT NULL  
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WKSCOPE_CATE')
 CREATE TABLE T_MPDM_WKSCOPE_CATE (
	FENTRYID             BIGINT            DEFAULT 0           NOT NULL,        
	FID                  BIGINT            DEFAULT 0           NOT NULL,       
	FSEQ                 INT               DEFAULT 0           NOT NULL,       
	FPRIORITY            INT               DEFAULT 0           NOT NULL,      
	FWORKCATEID          BIGINT            DEFAULT 0           NOT NULL,       
	FTYPEDESC            NVARCHAR(255)     DEFAULT ' '         NOT NULL,       
	FTYPEDESC_TAG        NCLOB             DEFAULT ' '         NOT NULL,       
	FCONNECTOR           NVARCHAR(50)      DEFAULT ' '         NOT NULL      
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WKSCOPE_DETAIL')
 CREATE TABLE T_MPDM_WKSCOPE_DETAIL (
	FDETAILID           BIGINT             DEFAULT 0           NOT NULL,     
	FENTRYID            BIGINT             DEFAULT 0           NOT NULL,        
	FSEQ                INT                DEFAULT 0           NOT NULL,       
	FSELECT             CHAR(1)            DEFAULT '0'         NOT NULL,        
	FWORKDETAILID       BIGINT             DEFAULT 0           NOT NULL,       
	FDETAILNAME         NVARCHAR(50)       DEFAULT ' '         NOT NULL,       
	FDETAILSTATE        NVARCHAR(255)      DEFAULT ' '         NOT NULL
);






