﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MAINTENANCEPLAN') 
 CREATE TABLE T_MPDM_MAINTENANCEPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FAUDITOR BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FENABLER BIGINT DEFAULT 0 NOT NULL,
FENABLETIME DATETIME,
FDISABLER BIGINT DEFAULT 0 NOT NULL,
FDISABLETIME DATETIME,
FMPDNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMMNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FREFERENCENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINITIALINTERVAL VARCHAR(50) DEFAULT ' ' NOT NULL,
FREPEATINTERVAL VARCHAR(50) DEFAULT ' ' NOT NULL,
FZONE BIGINT DEFAULT 0 NOT NULL,
FACCESSPANEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FADDACCESSPANEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FADAPT VARCHAR(50) DEFAULT ' ' NOT NULL,
FADAPTENGINE VARCHAR(50) DEFAULT ' ' NOT NULL,
FHOURSUNIT BIGINT DEFAULT 0 NOT NULL,
FTASKHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREDICTHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREPAREHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREPAREWORK VARCHAR(50) DEFAULT ' ' NOT NULL,
FWORKDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOREHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCLEANHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISMOUNTHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOREREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHANGEPARTREL VARCHAR(50) DEFAULT ' ' NOT NULL,
FDISMOUNTREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNEEDCHECK VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MAINTENANCEPLAN_L') 
 CREATE TABLE T_MPDM_MAINTENANCEPLAN_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_REPAIRPLANTOOL') 
 CREATE TABLE T_MPDM_REPAIRPLANTOOL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FREPAIRPLANCARD BIGINT DEFAULT 0 NOT NULL,
FMATERIALTYPE BIGINT DEFAULT 0 NOT NULL,
FISNEEDTOOL CHAR(1) DEFAULT '0' NOT NULL,
FAUDITOR BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FDISABLEUSER BIGINT DEFAULT 0 NOT NULL,
FDISABLETIME DATETIME,
FENABLEUSER BIGINT DEFAULT 0 NOT NULL,
FENABLETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_REPAIRPLANTOOL_L') 
 CREATE TABLE T_MPDM_REPAIRPLANTOOL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_REPAIRPTENTRY') 
 CREATE TABLE T_MPDM_REPAIRPTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIAL BIGINT DEFAULT 0 NOT NULL,
FBASEDATAPROPFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYBASEUNIT BIGINT DEFAULT 0 NOT NULL,
FENTRYUNIT BIGINT DEFAULT 0 NOT NULL,
FENTRYBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOOLUSABILITY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREFERTOCUSTCODE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREFERMANUALVERSION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUPPLYDUTY VARCHAR(50) DEFAULT ' ' NOT NULL,
FTOOLUSELEVEL VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_RPTMATCOMMAND') 
 CREATE TABLE T_MPDM_RPTMATCOMMAND (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FREPAIRPLANCARD BIGINT DEFAULT 0 NOT NULL,
FDESCRIBE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODELMPL VARCHAR(50) DEFAULT ' ' NOT NULL,
FISNEEDAIRMT CHAR(1) DEFAULT '0' NOT NULL,
FAUDITOR BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FDISABLEUSER BIGINT DEFAULT 0 NOT NULL,
FDISABLETIME DATETIME,
FENABLEUSER BIGINT DEFAULT 0 NOT NULL,
FENABLETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_RPTMATCOMMAND_L') 
 CREATE TABLE T_MPDM_RPTMATCOMMAND_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_RPTMCDENTRY') 
 CREATE TABLE T_MPDM_RPTMCDENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIAL BIGINT DEFAULT 0 NOT NULL,
FBASEDATAPROPFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYBASEUNIT BIGINT DEFAULT 0 NOT NULL,
FENTRYUNIT BIGINT DEFAULT 0 NOT NULL,
FENTRYBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERMATERIAL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUPPLYDUTY VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_CARDTOOLDOC' AND KSQL_COL_NAME ='FDOCNAME') 
 ALTER TABLE T_MPDM_CARDTOOLDOC ADD (FDOCNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MATCOMMENTRYDOC') 
 CREATE TABLE T_MPDM_MATCOMMENTRYDOC (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_MPENTRY') 
 CREATE TABLE T_MPDM_MPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FAREA VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHOLDREL VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTADAPT VARCHAR(50) DEFAULT ' ' NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSINGLEHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FSUMHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHECKLAYOUT CHAR(1) DEFAULT '0' NOT NULL,
FCHECKREL CHAR(1) DEFAULT '0' NOT NULL,
FPROJECTDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROJECTDESC_TAG NCLOB
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
