﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_WORKCATEGORY' AND KSQL_COL_NAME ='FISCHECKTYPE')
 ALTER TABLE T_MPDM_WORKCATEGORY ADD ( FISCHECKTYPE CHAR(1) DEFAULT '0' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_WORKDETAILINFO' AND KSQL_COL_NAME ='FCHECKTYPEID')
 ALTER TABLE T_MPDM_WORKDETAILINFO ADD ( FCHECKTYPEID BIGINT DEFAULT 0 NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WORKDETAILINFO_L')
 CREATE TABLE T_MPDM_WORKDETAILINFO_L (
	FPKID        NVARCHAR(36)            DEFAULT ' '     NOT NULL,     
	FENTRYID     BIGINT                  DEFAULT 0       NOT NULL,      
	FLOCALEID    NVARCHAR(10)            DEFAULT ' '     NOT NULL,    
	FNAME        NVARCHAR(50)            DEFAULT ' '     NOT NULL     
);

EXEC P_ALTERPK 'PK_MPDM_WORKDETAILINFO_L', 'T_MPDM_WORKDETAILINFO_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WORKDETAILINFO_L') CREATE INDEX IDX_MPDM_WORKDETAILINFO_L ON T_MPDM_WORKDETAILINFO_L (FENTRYID,FLOCALEID );

