﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_constraint.sql **/
 EXEC P_ALTERPK 'PK_MPDM_MENTRYROUTE_H', 'T_MPDM_MENTRYROUTE_H', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MENTRYROUTE_H_FK') CREATE INDEX IDX_MPDM_MENTRYROUTE_H_FK ON T_MPDM_MENTRYROUTE_H ( FCARDID );


 EXEC P_ALTERPK 'PK_MPDM_MROCARDROUTE_H', 'T_MPDM_MROCARDROUTE_H', 'FCARDID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_MROCARDROUTE_H_CG') CREATE INDEX IDX_T_MPDM_MROCARDROUTE_H_CG ON T_MPDM_MROCARDROUTE_H ( FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_MROCARDR_H_MASTER') CREATE INDEX IDX_T_MPDM_MROCARDR_H_MASTER ON T_MPDM_MROCARDROUTE_H ( FMASTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MPDM_MROCARDR_H_CID2') CREATE INDEX IDX_T_MPDM_MROCARDR_H_CID2 ON T_MPDM_MROCARDROUTE_H ( FCARDID2 );


 EXEC P_ALTERPK 'PK_MPDM_MROTRADERELATION_H', 'T_MPDM_MROTRADERELATION_H', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MROTRADERELATION_H_FK') CREATE INDEX IDX_MPDM_MROTRADERELATION_H_FK ON T_MPDM_MROTRADERELATION_H ( FCARDID );


 EXEC P_ALTERPK 'PK_MPDM_MROWKIDENTITY_H', 'T_MPDM_MROWKIDENTITY_H', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_MROWKIDENTITY_H_FK') CREATE INDEX IDX_MPDM_MROWKIDENTITY_H_FK ON T_MPDM_MROWKIDENTITY_H ( FCARDID );


 EXEC P_ALTERPK 'PK_MPDM_PROCESSVERSION_H', 'T_MPDM_PROCESSVERSION_H', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PROCESSVERSION_H_FK') CREATE INDEX IDX_MPDM_PROCESSVERSION_H_FK ON T_MPDM_PROCESSVERSION_H ( FCARDID );


 EXEC P_ALTERPK 'PK_MPDM_SUBENTRYROUTE_H', 'T_MPDM_SUBENTRYROUTE_H', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_SUBENTRYROUTE_H_FK') CREATE INDEX IDX_MPDM_SUBENTRYROUTE_H_FK ON T_MPDM_SUBENTRYROUTE_H ( FENTRYID );


 EXEC P_ALTERPK 'PK_MPDM_WKACTIVITY_H', 'T_MPDM_WKACTIVITY_H', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WKACTIVITY_H_FK') CREATE INDEX IDX_MPDM_WKACTIVITY_H_FK ON T_MPDM_WKACTIVITY_H ( FENTRYID );


 EXEC P_ALTERPK 'PK_MPDM_WKDOCATTA_H', 'T_MPDM_WKDOCATTA_H', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WKDOCATTA_H_FK') CREATE INDEX IDX_MPDM_WKDOCATTA_H_FK ON T_MPDM_WKDOCATTA_H ( FENTRYID );


 EXEC P_ALTERPK 'PK_MPDM_WKENTRYDOC_H', 'T_MPDM_WKENTRYDOC_H', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WKENTRYDOC_H_FK') CREATE INDEX IDX_MPDM_WKENTRYDOC_H_FK ON T_MPDM_WKENTRYDOC_H ( FCARDID );


 EXEC P_ALTERPK 'PK_MPDM_WKENTRYPANEL_H', 'T_MPDM_WKENTRYPANEL_H', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WKENTRYPANEL_H_FK') CREATE INDEX IDX_MPDM_WKENTRYPANEL_H_FK ON T_MPDM_WKENTRYPANEL_H ( FCARDID );


 EXEC P_ALTERPK 'PK_MPDM_WKENTRYSEQ_H', 'T_MPDM_WKENTRYSEQ_H', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WKENTRYSEQ_H_FK') CREATE INDEX IDX_MPDM_WKENTRYSEQ_H_FK ON T_MPDM_WKENTRYSEQ_H ( FCARDID );


 EXEC P_ALTERPK 'PK_MPDM_WKENTRYSEQREL_H', 'T_MPDM_WKENTRYSEQREL_H', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_WKENTRYSEQREL_H_FK') CREATE INDEX IDX_MPDM_WKENTRYSEQREL_H_FK ON T_MPDM_WKENTRYSEQREL_H ( FCARDID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_constraint.sql **/
