﻿/**Begin D:\PDM_UPGRADE\PDM1\MPDM_constraint.sql **/
 EXEC P_ALTERPK 'PK_MPDM_COURSE', 'T_MPDM_COURSE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURSE_FNUMBER') CREATE INDEX IDX_MPDM_COURSE_FNUMBER ON T_MPDM_COURSE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURSE_FCREATETIME') CREATE INDEX IDX_MPDM_COURSE_FCREATETIME ON T_MPDM_COURSE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_MPDM_COURSE_L', 'T_MPDM_COURSE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURSEL_FID') CREATE INDEX IDX_MPDM_COURSEL_FID ON T_MPDM_COURSE_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURSEL_FNAME') CREATE INDEX IDX_MPDM_COURSEL_FNAME ON T_MPDM_COURSE_L ( FNAME );


 EXEC P_ALTERPK 'PK_MPDM_COURSECLASSIFY', 'T_MPDM_COURSECLASSIFY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURFY_FNUMBER') CREATE INDEX IDX_MPDM_COURFY_FNUMBER ON T_MPDM_COURSECLASSIFY ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURFY_FCREATETIME') CREATE INDEX IDX_MPDM_COURFY_FCREATETIME ON T_MPDM_COURSECLASSIFY ( FCREATETIME );


 EXEC P_ALTERPK 'PK_MPDM_COURSECLASSIFY_L', 'T_MPDM_COURSECLASSIFY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURFYL_FID') CREATE INDEX IDX_MPDM_COURFYL_FID ON T_MPDM_COURSECLASSIFY_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURFYL_FNAME') CREATE INDEX IDX_MPDM_COURFYL_FNAME ON T_MPDM_COURSECLASSIFY_L ( FNAME );


 EXEC P_ALTERPK 'PK_MPDM_COURSESOURCE', 'T_MPDM_COURSESOURCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURCE_FNUMBER') CREATE INDEX IDX_MPDM_COURCE_FNUMBER ON T_MPDM_COURSESOURCE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURCE_FCREATETIME') CREATE INDEX IDX_MPDM_COURCE_FCREATETIME ON T_MPDM_COURSESOURCE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_MPDM_COURSESOURCE_L', 'T_MPDM_COURSESOURCE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURCEL_FID') CREATE INDEX IDX_MPDM_COURCEL_FID ON T_MPDM_COURSESOURCE_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURCEL_FNAME') CREATE INDEX IDX_MPDM_COURCEL_FNAME ON T_MPDM_COURSESOURCE_L ( FNAME );


 EXEC P_ALTERPK 'PK_MPDM_COURSETYPE', 'T_MPDM_COURSETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURPE_FNUMBER') CREATE INDEX IDX_MPDM_COURPE_FNUMBER ON T_MPDM_COURSETYPE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURPE_FCREATETIME') CREATE INDEX IDX_MPDM_COURPE_FCREATETIME ON T_MPDM_COURSETYPE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_MPDM_COURSETYPE_L', 'T_MPDM_COURSETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURPEL_FID') CREATE INDEX IDX_MPDM_COURPEL_FID ON T_MPDM_COURSETYPE_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURPEL_FNAME') CREATE INDEX IDX_MPDM_COURPEL_FNAME ON T_MPDM_COURSETYPE_L ( FNAME );


 EXEC P_ALTERPK 'PK_MPDM_COURSEVERSION', 'T_MPDM_COURSEVERSION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURON_FNUMBER') CREATE INDEX IDX_MPDM_COURON_FNUMBER ON T_MPDM_COURSEVERSION ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURON_FCREATETIME') CREATE INDEX IDX_MPDM_COURON_FCREATETIME ON T_MPDM_COURSEVERSION ( FCREATETIME );


 EXEC P_ALTERPK 'PK_MPDM_COURSEVERSION_L', 'T_MPDM_COURSEVERSION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURONL_FID') CREATE INDEX IDX_MPDM_COURONL_FID ON T_MPDM_COURSEVERSION_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_COURONL_FNAME') CREATE INDEX IDX_MPDM_COURONL_FNAME ON T_MPDM_COURSEVERSION_L ( FNAME );


 EXEC P_ALTERPK 'PK_MPDM_INVENTORY', 'T_MPDM_INVENTORY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_INVERY_FID') CREATE INDEX IDX_MPDM_INVERY_FID ON T_MPDM_INVENTORY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_INVERY_FSEQ') CREATE INDEX IDX_MPDM_INVERY_FSEQ ON T_MPDM_INVENTORY ( FSEQ );


 EXEC P_ALTERPK 'PK_MPDM_PRECOURSE', 'T_MPDM_PRECOURSE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PRECSE_FID') CREATE INDEX IDX_MPDM_PRECSE_FID ON T_MPDM_PRECOURSE ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_PRECSE_FSEQ') CREATE INDEX IDX_MPDM_PRECSE_FSEQ ON T_MPDM_PRECOURSE ( FSEQ );


 EXEC P_ALTERPK 'PK_MPDM_STAGE', 'T_MPDM_STAGE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STAGGE_FID') CREATE INDEX IDX_MPDM_STAGGE_FID ON T_MPDM_STAGE ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_STAGGE_FSEQ') CREATE INDEX IDX_MPDM_STAGGE_FSEQ ON T_MPDM_STAGE ( FSEQ );


 EXEC P_ALTERPK 'PK_MPDM_TEACHINGMETHOD', 'T_MPDM_TEACHINGMETHOD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_TEACOD_FNUMBER') CREATE INDEX IDX_MPDM_TEACOD_FNUMBER ON T_MPDM_TEACHINGMETHOD ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_TEACOD_FCREATETIME') CREATE INDEX IDX_MPDM_TEACOD_FCREATETIME ON T_MPDM_TEACHINGMETHOD ( FCREATETIME );


 EXEC P_ALTERPK 'PK_MPDM_TEACHINGMETHOD_L', 'T_MPDM_TEACHINGMETHOD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_TEACODL_FID') CREATE INDEX IDX_MPDM_TEACODL_FID ON T_MPDM_TEACHINGMETHOD_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPDM_TEACODL_FNAME') CREATE INDEX IDX_MPDM_TEACODL_FNAME ON T_MPDM_TEACHINGMETHOD_L ( FNAME );



/**End D:\PDM_UPGRADE\PDM1\MPDM_constraint.sql **/
