--局方多选基础资料表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_ARMY') 
 CREATE TABLE T_MPDM_ARMY (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);
--使用部门多选基础资料表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_APPLYBRANCH') 
 CREATE TABLE T_MPDM_APPLYBRANCH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);
--课程新加字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_APPLYTYPE' AND KSQL_COL_NAME ='FAPPLYSTATUS')
 ALTER TABLE T_MPDM_APPLYTYPE ADD (FAPPLYSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_PRECOURSE' AND KSQL_COL_NAME ='FPRESTATUS')
 ALTER TABLE T_MPDM_PRECOURSE ADD (FPRESTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_INVENTORY' AND KSQL_COL_NAME ='FINCLASSSTATUS')
 ALTER TABLE T_MPDM_INVENTORY ADD (FINCLASSSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_STAGE' AND KSQL_COL_NAME ='FPASSINGSCORES')
 ALTER TABLE T_MPDM_STAGE ADD (FPASSINGSCORES DECIMAL(23,10) DEFAULT 0 NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_STAGE' AND KSQL_COL_NAME ='FEXAMTIMES')
 ALTER TABLE T_MPDM_STAGE ADD (FEXAMTIMES DECIMAL(23,10) DEFAULT 0 NOT NULL);
 --课程分类
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_COURSECLASSIFY' AND KSQL_COL_NAME ='FCOURSECLASSIFYID')
 ALTER TABLE T_MPDM_COURSECLASSIFY ADD (FCOURSECLASSIFYID BIGINT DEFAULT 0 NOT NULL);