﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_ATMOSVLIST' AND KSQL_COL_NAME ='FPERIOD') 
 ALTER TABLE T_MPDM_ATMOSVLIST ADD (FPERIOD NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MPDM_ATMOSVLIST' AND KSQL_COL_NAME ='FINPARAM') 
 ALTER TABLE T_MPDM_ATMOSVLIST ADD (FINPARAM NVARCHAR(1000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_BOMTEST') 
 CREATE TABLE T_MPDM_BOMTEST (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FVERSIONID BIGINT DEFAULT 0 NOT NULL,
FREPLACENOID BIGINT DEFAULT 0 NOT NULL,
FYIELDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FISCOPRODUCT CHAR(1) DEFAULT '0' NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISABLEUSERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FENABLEUSERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_BOMTEST_L') 
 CREATE TABLE T_MPDM_BOMTEST_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_BOMTESTCOPENTRY') 
 CREATE TABLE T_MPDM_BOMTESTCOPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPERATIONID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FINVALIDDATE DATETIME,
FVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_BOMTESTENTRY') 
 CREATE TABLE T_MPDM_BOMTESTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FVERSIONID BIGINT DEFAULT 0 NOT NULL,
FQTYTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FQTYNUMERATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYDENOMINATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FINVALIDDATE DATETIME,
FAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_BOMTESTQTYENTRY') 
 CREATE TABLE T_MPDM_BOMTESTQTYENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBATCHSTARTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBATCHENDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISSTEPFIX CHAR(1) DEFAULT '0' NOT NULL,
FQTYNUMERATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYDENOMINATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_BOMTESTSETENTRY') 
 CREATE TABLE T_MPDM_BOMTESTSETENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_BOMTESTSETENTRY_L') 
 CREATE TABLE T_MPDM_BOMTESTSETENTRY_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FSETUPLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


 EXEC p_AlterColumn 'T_MPDM_MATERIALPLAN_E', 'FDEMANDMERGERULE', 'BIGINT', 'NOT NULL', '1111', '0';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_TRAPRODUCT') 
 CREATE TABLE T_MPDM_TRAPRODUCT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(30) DEFAULT ' ' NOT NULL,
FISPROCEDURE CHAR(1) DEFAULT '0' NOT NULL,
FSTOCKMATERIALS VARCHAR(30) DEFAULT ' ' NOT NULL,
FDEDUCTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FCLOSECLEAR CHAR(1) DEFAULT '0' NOT NULL,
FISCONSIDERLOSS CHAR(1) DEFAULT '0' NOT NULL,
FBACKFLUSHTIME VARCHAR(30) DEFAULT ' ' NOT NULL,
FISBACKFLUSH CHAR(1) DEFAULT '0' NOT NULL,
FBACKFLUSHMORE CHAR(1) DEFAULT '0' NOT NULL,
FISREPORTPICK CHAR(1) DEFAULT '0' NOT NULL,
FREPORTCONTROL VARCHAR(30) DEFAULT ' ' NOT NULL,
FREPORTCONTROLRANG VARCHAR(30) DEFAULT ' ' NOT NULL,
FISWAREHOUSINGPICK CHAR(1) DEFAULT '0' NOT NULL,
FWAREHOUSCONTROL VARCHAR(30) DEFAULT ' ' NOT NULL,
FWAREHOUSRANG VARCHAR(30) DEFAULT ' ' NOT NULL,
FTRANSACTIONTYPE BIGINT DEFAULT 0 NOT NULL,
FISFAULT CHAR(1) DEFAULT '0' NOT NULL,
FISSTOCKCHANGE CHAR(1) DEFAULT '0' NOT NULL,
FISPRECEDINGPROCESS CHAR(1) DEFAULT '0' NOT NULL,
FISWAREHOUSQUALITY CHAR(1) DEFAULT '0' NOT NULL,
FISAUTOWAREHOUSE CHAR(1) DEFAULT '0' NOT NULL,
FSHUTDOWNCONTROL VARCHAR(30) DEFAULT ' ' NOT NULL,
FISWORKDATE CHAR(1) DEFAULT '1' NOT NULL,
FISAUDITSTOCK CHAR(1) DEFAULT '0' NOT NULL,
FISAUDITTECHNIS CHAR(1) DEFAULT '0' NOT NULL,
FISFORCECLOSE CHAR(1) DEFAULT '0' NOT NULL,
FALLOWVALUE VARCHAR(30) DEFAULT ' ' NOT NULL,
FALLOWVALUETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMAXALLOWVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINALLOWVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISVOLCAL CHAR(1) DEFAULT '0' NOT NULL,
FCONTROLSCOPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FEXECUTIONMODE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPURBILLMAKEMETHOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FISAUTOMAKE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAUTOMAKETIME NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROCTRANSMAKETIME NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_TRAPRODUCT_D') 
 CREATE TABLE T_MPDM_TRAPRODUCT_D (
FID BIGINT DEFAULT 0 NOT NULL,
FCONVERSIONRULE NVARCHAR(36) DEFAULT ' ' NOT NULL,
FGENFOLLOWPURBILL NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_TRAPRODUCT_L') 
 CREATE TABLE T_MPDM_TRAPRODUCT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MPDM_table.sql **/
