﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_INSPECTUNIT_L') 
 CREATE TABLE T_MSBD_INSPECTUNIT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_INSPECTUNIT') 
 CREATE TABLE T_MSBD_INSPECTUNIT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENTITYID VARCHAR(36) DEFAULT ' ' NOT NULL,
FAREADESCRIPTION NVARCHAR(2000),
FAREAJSON NVARCHAR(512),
FAREAJSON_TAG NCLOB,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_INSPECTUNITENTRY_P') 
 CREATE TABLE T_MSBD_INSPECTUNITENTRY_P (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPLUGINENABLE CHAR(1) DEFAULT '0' NOT NULL,
FPLUGINCLASSNAME VARCHAR(200),
FPLUGINCLASSURL VARCHAR(200),
FPLUGINDESCRIPTION NVARCHAR(1000),
FPLUGINJSON NVARCHAR(1000)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_INSPECTUNITENTRY_V') 
 CREATE TABLE T_MSBD_INSPECTUNITENTRY_V (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FVALIDENABLE CHAR(1) DEFAULT '0' NOT NULL,
FVALIDDESCRIPTION NVARCHAR(1000),
FVALIDJSON NVARCHAR(1000),
FVALIDJSON_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_INSPECTUNITENTRY_M') 
 CREATE TABLE T_MSBD_INSPECTUNITENTRY_M (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMSENABLE CHAR(1) DEFAULT '0' NOT NULL,
FMSNAME NVARCHAR(200),
FBIZAPPID NVARCHAR(200),
FBIZCLOUD NVARCHAR(200),
FMSIMPLCLASS NVARCHAR(200),
FMSMETHODNAME NVARCHAR(200),
FMSPARAMETERARRAY NVARCHAR(1000)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_INSPECTJOB') 
 CREATE TABLE T_MSBD_INSPECTJOB (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512),
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FRUNMODE VARCHAR(5) DEFAULT ' ' NOT NULL,
FRUNORDER VARCHAR(5) DEFAULT ' ' NOT NULL,
FSTRATEGY VARCHAR(5) DEFAULT ' ' NOT NULL,
FRUNCONCURRENT CHAR(1) DEFAULT '0' NOT NULL,
FTIMEOUT BIGINT DEFAULT 0 NOT NULL,
FMAXPARALLELNUM BIGINT DEFAULT 0 NOT NULL,
FBATCHMAXNUM BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_INSPECTJOBENTRY') 
 CREATE TABLE T_MSBD_INSPECTJOBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDMFUNITENABLE CHAR(1) DEFAULT '0' NOT NULL,
FINSPECTUNITID BIGINT DEFAULT 0 NOT NULL,
FWARNLEVEL VARCHAR(5) DEFAULT ' ' NOT NULL,
FCANUPDATE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_INSPECTJOB_L') 
 CREATE TABLE T_MSBD_INSPECTJOB_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_INSPECTLOG') 
 CREATE TABLE T_MSBD_INSPECTLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FINSPECTPLANID BIGINT DEFAULT 0 NOT NULL,
FINSPECTJOBID BIGINT DEFAULT 0 NOT NULL,
FEXEUSERID BIGINT DEFAULT 0 NOT NULL,
FEXETIME DATETIME,
FEXESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_INSPECTLOGENTRY') 
 CREATE TABLE T_MSBD_INSPECTLOGENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FINSPECTUNITID BIGINT DEFAULT 0 NOT NULL,
FRUNINGSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENTRYSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_INSPECTLOGENTRY_E') 
 CREATE TABLE T_MSBD_INSPECTLOGENTRY_E (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOBJID BIGINT DEFAULT 0 NOT NULL,
FOBJENTRYID BIGINT DEFAULT 0 NOT NULL,
FOBJTYPEID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FOBJDES NVARCHAR(500) DEFAULT ' ' NOT NULL,
FEXTRALINFO NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_INSPECTPLAN') 
 CREATE TABLE T_MSBD_INSPECTPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENTITYID VARCHAR(36) DEFAULT ' ' NOT NULL,
FAREADESCRIPTION NVARCHAR(2000),
FAREAJSON NVARCHAR(512),
FAREAJSON_TAG NCLOB,
FSCOPETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSMSGCONTENT NVARCHAR(2000),
FDESCRIPTION NVARCHAR(512),
FINSPECTJOBID BIGINT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FSCHEDULEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FJOBID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSCHPRINCIPALID BIGINT DEFAULT 0 NOT NULL,
FPLAN NVARCHAR(300) DEFAULT ' ' NOT NULL,
FSFAILNOTIFY CHAR(1) DEFAULT '0' NOT NULL,
FSSUCCESSNOTIFY CHAR(1) DEFAULT '0' NOT NULL,
FSTIMEOUT CHAR(1) DEFAULT '0' NOT NULL,
FSNOTIFYTYPE VARCHAR(300) DEFAULT ' ' NOT NULL,
FMSGRECEIVER BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISSENDMSG CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_INSPECTPLAN_D') 
 CREATE TABLE T_MSBD_INSPECTPLAN_D (
FID BIGINT DEFAULT 0 NOT NULL,
FONE CHAR(1) DEFAULT ' ' NOT NULL,
FTWO CHAR(1) DEFAULT ' ' NOT NULL,
FTHREE CHAR(1) DEFAULT ' ' NOT NULL,
FFOUR CHAR(1) DEFAULT ' ' NOT NULL,
FFIVE CHAR(1) DEFAULT ' ' NOT NULL,
FSIX CHAR(1) DEFAULT ' ' NOT NULL,
FSEVEN CHAR(1) DEFAULT ' ' NOT NULL,
FEIGHT CHAR(1) DEFAULT ' ' NOT NULL,
FNINE CHAR(1) DEFAULT ' ' NOT NULL,
FTEN CHAR(1) DEFAULT ' ' NOT NULL,
FELEVEN CHAR(1) DEFAULT ' ' NOT NULL,
FTWELVE CHAR(1) DEFAULT ' ' NOT NULL,
FTHIRTEEN CHAR(1) DEFAULT ' ' NOT NULL,
FFOURTEEN CHAR(1) DEFAULT ' ' NOT NULL,
FFIFTEEN CHAR(1) DEFAULT ' ' NOT NULL,
FSIXTEEN CHAR(1) DEFAULT ' ' NOT NULL,
FSEVENTEEN CHAR(1) DEFAULT ' ' NOT NULL,
FEIGHTEEN CHAR(1) DEFAULT ' ' NOT NULL,
FNINETEEN CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTY CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTYONE CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTYTWO CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTYTHREE CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTYFOUR CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTYFIVE CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTYSIX CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTYSEVEN CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTYEIGHT CHAR(1) DEFAULT ' ' NOT NULL,
FTWENTYNINE CHAR(1) DEFAULT ' ' NOT NULL,
FTHIRTY CHAR(1) DEFAULT ' ' NOT NULL,
FTHIRTYONE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_INSPECTPLAN_L') 
 CREATE TABLE T_MSBD_INSPECTPLAN_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_INSPECTPLAN_M') 
 CREATE TABLE T_MSBD_INSPECTPLAN_M (
FID BIGINT DEFAULT 0 NOT NULL,
FJAN CHAR(1) DEFAULT ' ' NOT NULL,
FFEB CHAR(1) DEFAULT ' ' NOT NULL,
FMAR CHAR(1) DEFAULT ' ' NOT NULL,
FAPR CHAR(1) DEFAULT ' ' NOT NULL,
FMAY CHAR(1) DEFAULT ' ' NOT NULL,
FJUN CHAR(1) DEFAULT ' ' NOT NULL,
FJUL CHAR(1) DEFAULT ' ' NOT NULL,
FAUG CHAR(1) DEFAULT ' ' NOT NULL,
FSEP CHAR(1) DEFAULT ' ' NOT NULL,
FOCT CHAR(1) DEFAULT ' ' NOT NULL,
FNOV CHAR(1) DEFAULT ' ' NOT NULL,
FDEC CHAR(1) DEFAULT ' ' NOT NULL,
FSUN CHAR(1) DEFAULT ' ' NOT NULL,
FSAT CHAR(1) DEFAULT ' ' NOT NULL,
FFRI CHAR(1) DEFAULT ' ' NOT NULL,
FTHUR CHAR(1) DEFAULT ' ' NOT NULL,
FWED CHAR(1) DEFAULT ' ' NOT NULL,
FTUES CHAR(1) DEFAULT ' ' NOT NULL,
FMON CHAR(1) DEFAULT ' ' NOT NULL,
FBYWEEK CHAR(1) DEFAULT ' ' NOT NULL,
FNO CHAR(2) DEFAULT ' ' NOT NULL,
FNOWEEK CHAR(2) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(225) DEFAULT ' ' NOT NULL,
FREPEATMODE NVARCHAR(10) DEFAULT ' ' NOT NULL,
FCYCLENUM BIGINT DEFAULT 0 NOT NULL,
FBYDAYORWEEK CHAR(1) DEFAULT ' ' NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSBD_table.sql **/
