﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_LOGMANAGE_L') 
 CREATE TABLE T_MSBD_LOGMANAGE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_LOGCLEANLOG') 
 CREATE TABLE T_MSBD_LOGCLEANLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FEXEUSERID BIGINT DEFAULT 0 NOT NULL,
FCLEANTIME DATETIME,
FTRACEID VARCHAR(80) DEFAULT ' ' NOT NULL,
FCOST DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_LOGCLEANLOG_E') 
 CREATE TABLE T_MSBD_LOGCLEANLOG_E (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCLEANSTRATEGYID BIGINT DEFAULT 0 NOT NULL,
FMSKEY VARCHAR(100) DEFAULT ' ' NOT NULL,
FCLEANNUM BIGINT DEFAULT 0 NOT NULL,
FCLEANBEFORENUM BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_LOGMANAGE') 
 CREATE TABLE T_MSBD_LOGMANAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLOGENTITYID VARCHAR(36) DEFAULT ' ' NOT NULL,
FDATEPARTFIELD VARCHAR(255) DEFAULT ' ' NOT NULL,
FLOGCLEANLEVEL VARCHAR(5) DEFAULT 'C' NOT NULL,
FLOGMAXCOUNT BIGINT DEFAULT 0 NOT NULL,
FMAXTIME VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_LOGMANAGE_E') 
 CREATE TABLE T_MSBD_LOGMANAGE_E (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMSKEY VARCHAR(100) DEFAULT ' ' NOT NULL,
FMSNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMSMAXRECORDNUM BIGINT DEFAULT 0 NOT NULL,
FMSMAXTIME VARCHAR(5) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSBD_table.sql **/
