﻿--如果存在因为重复执行升级脚本导致取价方案存在冗余的取价结果分录数据，只有取价结果分录数据可能存在问题
--只处理取价结果分录数据，先总体删除冗余分录数据，如果数据库中没有冗余数据，则不会进行删除

-- 不进行复杂的判断，因为在达梦数据库中如果是初始化空库可能执行存在问题，本脚本依旧支持重复执行，例如在feature测试环境中非预置的数据不会重复执行升级，预置数据脚本才可能重复执行，所以这里只需要处理预置数据即可，
--IF EXISTS (SELECT COUNT(1) ERRORNUM,R.FID,R.FQUOTESIGNR FROM T_PLAT_QUOTESCHEMEENTRY_R R INNER JOIN T_PLAT_QUOTESCHEME S ON R.FID=S.FID WHERE S.FISPRESET='1' GROUP BY R.FID,R.FQUOTESIGNR HAVING COUNT(1)> 1)
DELETE FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FID IN (SELECT FID FROM T_PLAT_QUOTESCHEME WHERE FISPRESET='1' AND FNUMBER != 'SYS_RWCFA_001' AND FNUMBER != 'SYS_RWCFA_002' AND FNUMBER != 'SYS_GXSQFA_001' AND FNUMBER != 'SYS_QDY_001');

--再重新预置分录数据
--改用EXISTS来判断是否插入，而不是先DELETE再INSERT
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801315)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363116295804950528,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801315,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801316)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363116295804950528,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801316,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801317)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363116295804950528,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801317,3,'物料明细.税率','0'); 

IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801318)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363117548148628480,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801318,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801319)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363117548148628480,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801319,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801320)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363117548148628480,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801320,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801321)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363121420573350912,'物料明细.含税单价','billentry.priceandtax','billentry.priceandtax',1722333328616801321,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801322)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363121420573350912,'物料明细.单价','billentry.price','billentry.price',1722333328616801322,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801323)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363121420573350912,'物料明细.税率','billentry.taxrateid','billentry.taxrateid',1722333328616801323,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801324)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363121420573350912,'单据头.id','id','billentry.conbillid',1722333328616801324,4,'物料明细.合同ID','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801325)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363121420573350912,'单据头.合同编号','billno','billentry.conbillnumber',1722333328616801325,5,'物料明细.合同编号','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801326)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363121420573350912,'物料明细.物料明细.id','billentry.id','billentry.conbillentryid',1722333328616801326,6,'物料明细.合同行ID','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801327)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363121420573350912,'物料明细.行号','billentry.lineno','billentry.conbillrownum',1722333328616801327,7,'物料明细.合同行号','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801328)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363138657535400960,'单据头.含税','istax','billentry.istax',1722333328616801328,1,'单据体.含税','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801329)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363138657535400960,'物料明细.含税单价','billentry.priceandtax','billentry.priceandtax',1722333328616801329,2,'单据体.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801330)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363138657535400960,'物料明细.单价','billentry.price','billentry.price',1722333328616801330,3,'单据体.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801331)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363138657535400960,'物料明细.税率','billentry.taxrateid','billentry.taxrateid',1722333328616801331,4,'单据体.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801332)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363138657535400960,'物料明细.税率(%)','billentry.taxrate','billentry.taxrate',1722333328616801332,5,'单据体.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801333)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363174239191963648,'单据头.含税','istax','billentry.istax',1722333328616801333,1,'物料明细.含税','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801334)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363174239191963648,'物料明细.含税单价','billentry.priceandtax','billentry.priceandtax',1722333328616801334,2,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801335)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363174239191963648,'物料明细.单价','billentry.price','billentry.price',1722333328616801335,3,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801336)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363174239191963648,'物料明细.税率','billentry.taxrateid','billentry.taxrateid',1722333328616801336,4,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801337)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363174239191963648,'物料明细.税率(%)','billentry.taxrate','billentry.taxrate',1722333328616801337,5,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801338)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363179495686675456,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801338,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801339)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363179495686675456,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801339,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801340)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363179495686675456,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801340,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801341)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363182120574392320,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801341,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801342)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363182120574392320,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801342,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801343)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363182120574392320,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801343,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801344)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363183251224532992,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801344,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801345)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363183251224532992,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801345,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801346)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363183251224532992,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801346,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801347)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363184384659691520,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801347,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801348)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363184384659691520,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801348,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801349)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363184384659691520,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801349,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801350)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363185082004674560,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801350,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801351)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363185082004674560,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801351,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801352)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363185082004674560,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801352,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801353)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363185394211888128,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801353,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801354)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363185394211888128,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801354,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801355)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363185394211888128,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801355,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801356)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363864720775322624,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801356,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801357)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363864720775322624,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801357,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801358)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363864720775322624,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801358,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801359)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363865235852631040,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801359,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801360)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363865235852631040,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801360,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801361)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363865235852631040,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801361,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801362)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363866023643584512,'物料明细.含税单价','billentry.priceandtax','billentry.priceandtax',1722333328616801362,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801363)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363866023643584512,'物料明细.单价','billentry.price','billentry.price',1722333328616801363,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801364)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363866023643584512,'物料明细.税率','billentry.taxrateid','billentry.taxrateid',1722333328616801364,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801365)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363866023643584512,'单据头.id','id','billentry.conbillid',1722333328616801365,4,'物料明细.合同ID','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801366)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363866023643584512,'单据头.合同编号','billno','billentry.conbillnumber',1722333328616801366,5,'物料明细.合同编号','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801367)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363866023643584512,'物料明细.物料明细.id','billentry.id','billentry.conbillentryid',1722333328616801367,6,'物料明细.合同行ID','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801368)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363866023643584512,'物料明细.行号','billentry.lineno','billentry.conbillrownum',1722333328616801368,7,'物料明细.合同行号','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801369)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1371837933715208192,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801369,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801370)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1371837933715208192,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801370,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801371)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1371837933715208192,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801371,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801372)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372421152726595584,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801372,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801373)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372421152726595584,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801373,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801374)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372421152726595584,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801374,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801375)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372424496618727424,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801375,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801376)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372424496618727424,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801376,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801377)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372424496618727424,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801377,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801378)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372425457240127488,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801378,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801379)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372425457240127488,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801379,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801380)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372425457240127488,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801380,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801381)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372426308381894656,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801381,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801382)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372426308381894656,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801382,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801383)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372426308381894656,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801383,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801384)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372426889636886528,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801384,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801385)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372426889636886528,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801385,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801386)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372426889636886528,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801386,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801387)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372427558502545408,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801387,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801388)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372427558502545408,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801388,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801389)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372427558502545408,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801389,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801390)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372428074427103232,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801390,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801391)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372428074427103232,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801391,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801392)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372428074427103232,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801392,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801393)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372431599420893184,'物料明细.含税单价','billentry.priceandtax','billentry.priceandtax',1722333328616801393,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801394)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372431599420893184,'物料明细.单价','billentry.price','billentry.price',1722333328616801394,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801395)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372431599420893184,'物料明细.税率','billentry.taxrateid','billentry.taxrateid',1722333328616801395,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801396)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373905232186054656,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801396,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801397)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373905232186054656,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801397,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801398)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373905232186054656,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801398,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801399)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373907265316198400,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801399,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801400)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373907265316198400,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801400,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801401)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373907265316198400,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801401,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801402)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373909093034498048,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801402,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801403)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373909093034498048,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801403,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801404)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373909093034498048,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801404,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801405)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373912018502818816,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801405,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801406)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373912018502818816,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801406,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801407)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373912018502818816,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801407,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801408)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373912589263707136,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801408,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801409)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373912589263707136,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801409,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801410)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373912589263707136,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801410,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801411)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373913313443846144,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801411,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801412)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373913313443846144,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801412,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801413)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373913313443846144,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801413,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801414)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373914400632608768,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801414,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801415)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373914400632608768,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801415,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801416)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373914400632608768,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801416,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801417)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373915044114340864,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801417,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801418)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373915044114340864,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801418,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801419)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373915044114340864,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801419,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801420)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373918541048190976,'物料明细.含税单价','billentry.priceandtax','billentry.priceandtax',1722333328616801420,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801421)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373918541048190976,'物料明细.单价','billentry.price','billentry.price',1722333328616801421,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801422)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373918541048190976,'物料明细.税率','billentry.taxrateid','billentry.taxrateid',1722333328616801422,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801423)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373918541048190976,'单据头.id','id','billentry.conbillid',1722333328616801423,4,'物料明细.合同ID','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801424)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373918541048190976,'单据头.合同编号','billno','billentry.conbillnumber',1722333328616801424,5,'物料明细.合同编号','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801425)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373918541048190976,'物料明细.物料明细.id','billentry.id','billentry.conbillentryid',1722333328616801425,6,'物料明细.合同行ID','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801426)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373918541048190976,'物料明细.行号','billentry.lineno','billentry.conbillrownum',1722333328616801426,7,'物料明细.合同行号','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801427)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1474043947633381376,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801427,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801428)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1474043947633381376,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801428,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801429)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1474043947633381376,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801429,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801430)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1474162187722330112,'价格明细单据体.含税单价','priceentryentity.priceandtax','billentry.priceandtax',1722333328616801430,1,'物料明细.含税单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801431)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1474162187722330112,'价格明细单据体.单价','priceentryentity.price','billentry.price',1722333328616801431,2,'物料明细.单价','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1722333328616801432)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1474162187722330112,'价格明细单据体.税率','priceentryentity.taxrateid','billentry.taxrateid',1722333328616801432,3,'物料明细.税率','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723305029860865024)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373905232186054656,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723305029860865024,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723305281837916160)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373907265316198400,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723305281837916160,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723305493063065600)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373909093034498048,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723305493063065600,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723305892377583616)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373912018502818816,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723305892377583616,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723306084820639744)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373912589263707136,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723306084820639744,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723306328358707200)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373913313443846144,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723306328358707200,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723306740197416960)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373914400632608768,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723306740197416960,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723307109942091776)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373915044114340864,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723307109942091776,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723307332013711360)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1373918541048190976,'物料明细.税率(%)','billentry.taxrate','billentry.taxrate',1723307332013711360,8,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723307540638392320)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1371837933715208192,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723307540638392320,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723307861024497664)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372421152726595584,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723307861024497664,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723409175209369600)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372424496618727424,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723409175209369600,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723409553367818240)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372425457240127488,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723409553367818240,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723409814563861504)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372426308381894656,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723409814563861504,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723409977017644032)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372426889636886528,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723409977017644032,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723410137181336576)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372427558502545408,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723410137181336576,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723410302831178752)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372428074427103232,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723410302831178752,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723410641823216640)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1372431599420893184,'物料明细.税率(%)','billentry.taxrate','billentry.taxrate',1723410641823216640,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723410856873571328)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363179495686675456,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723410856873571328,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723411398878311424)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363182120574392320,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723411398878311424,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723411598627845120)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363183251224532992,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723411598627845120,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723411770392982528)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363184384659691520,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723411770392982528,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723411946755077120)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363185082004674560,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723411946755077120,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723412113856148480)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363185394211888128,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723412113856148480,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723412359331984384)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363864720775322624,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723412359331984384,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723413482902139904)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363865235852631040,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723413482902139904,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723413666453271552)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363866023643584512,'物料明细.税率(%)','billentry.taxrate','billentry.taxrate',1723413666453271552,8,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723414087276224512)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363116295804950528,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723414087276224512,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723414382152572928)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363117548148628480,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723414382152572928,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723414552642597888)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1363121420573350912,'物料明细.税率(%)','billentry.taxrate','billentry.taxrate',1723414552642597888,8,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723414952359813120)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1474043947633381376,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723414952359813120,4,'物料明细.税率(%)','0'); 
IF NOT EXISTS (SELECT 1 FROM T_PLAT_QUOTESCHEMEENTRY_R WHERE FENTRYID = 1723415116667433984)
INSERT INTO T_PLAT_QUOTESCHEMEENTRY_R(FID,FSOURCESIGNNAMER,FSOURCESIGNR,FQUOTESIGNR,FENTRYID,FSEQ,FQUOTESIGNNAMER,FSCHEMEGROUPPRICE) VALUES (1474162187722330112,'价格明细单据体.税率(%)','priceentryentity.taxrate','billentry.taxrate',1723415116667433984,4,'物料明细.税率(%)','0'); 








