/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSCOMMON_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_ASSIGNCFG') 
 CREATE TABLE T_MSMOD_ASSIGNCFG (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FTGTENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCFILTERCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSRCFILTERFORMULA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCFILTERFORMULA_TAG NCLOB,
FSRCFILTERJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCFILTERJSON_TAG NCLOB,
FTGTFILTERFORMULA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTGTFILTERCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTGTFILTERFORMULA_TAG NCLOB,
FTGTFILTERJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTGTFILTERJSON_TAG NCLOB,
FTRIGGERTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FTGTTRIGGERACTIONKEY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTGTTRIGGERACTION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FENABLETYPE CHAR(1) DEFAULT 'A' NOT NULL,
FTPLID BIGINT DEFAULT 0 NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FTPLENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_ASSIGNCFG_L') 
 CREATE TABLE T_MSMOD_ASSIGNCFG_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_ASSIGNCFG_MENTRY')
 CREATE TABLE T_MSMOD_ASSIGNCFG_MENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOGIC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRIGHTBRACKET NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATCHTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLEFTBRACKET NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCMATCHFIELDKEY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCMATCHFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTGTMATCHFIELDKEY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTGTMATCHFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMATCHGROUP BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_ASSIGNCFG_AENTRY')
 CREATE TABLE T_MSMOD_ASSIGNCFG_AENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FTGTASSIGNFIELDKEY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTGTASSIGNFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCASSIGNFIELDKEY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCASSIGNFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_ASSIGNCFG_ORG') 
 CREATE TABLE T_MSMOD_ASSIGNCFG_ORG (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FISINCLUDESUBORG CHAR(1) DEFAULT '0' NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSCOMMON_table.sql **/
