﻿

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_DATASOURCE_L') 
 CREATE TABLE T_MSMOD_DATASOURCE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
F_NAME NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_DATASOURCE') 
 CREATE TABLE T_MSMOD_DATASOURCE (
FID BIGINT DEFAULT 0 NOT NULL,
F_NUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
F_STATUS CHAR(1) DEFAULT 'A' NOT NULL,
F_CREATOR_ID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
F_ENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
F_CREATE_ORG_ID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
F_USE_ORG_ID BIGINT DEFAULT 0 NOT NULL,
F_CTRL_STRATEGY CHAR(1) DEFAULT '1' NOT NULL,
F_REMARK NVARCHAR(80) DEFAULT ' ' NOT NULL,
F_DATA_SOURCE NVARCHAR(36) DEFAULT ' ' NOT NULL,
F_COLS_MAP BIGINT DEFAULT 0 NOT NULL,
F_NAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_ENUMVALUE') 
 CREATE TABLE T_MSMOD_ENUMVALUE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTITYID VARCHAR(36) DEFAULT ' ' NOT NULL,
FDBVALUE NVARCHAR(20) DEFAULT ' ' NOT NULL,
FCOLVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENUMCOLFLAG VARCHAR(20) DEFAULT ' ' NOT NULL,
FENUMCOLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_ENUMVALUE_L') 
 CREATE TABLE T_MSMOD_ENUMVALUE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOLVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENUMCOLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_FIELD_MAPPING') 
 CREATE TABLE T_MSMOD_FIELD_MAPPING (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(120) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
F_TARGET_OBJ VARCHAR(36) DEFAULT ' ' NOT NULL,
F_SOURCE_BILL VARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_FIELD_MAPPING_L') 
 CREATE TABLE T_MSMOD_FIELD_MAPPING_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_FIELDS') 
 CREATE TABLE T_MSMOD_FIELDS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
F_TARGET_COL_NAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
F_TARGET_COL NVARCHAR(100) DEFAULT ' ' NOT NULL,
F_SOURCE_COL_NAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
F_SOURCE_COL NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_REQ_MATCH_L') 
 CREATE TABLE T_MSMOD_REQ_MATCH_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
F_NAME NVARCHAR(510) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_REQ_MATCH') 
 CREATE TABLE T_MSMOD_REQ_MATCH (
FID BIGINT DEFAULT 0 NOT NULL,
F_NUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
F_STATUS CHAR(1) DEFAULT 'A' NOT NULL,
F_CREATOR_ID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
F_ENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
F_REQUEST_BILL_ID BIGINT DEFAULT 0 NOT NULL,
F_NAME NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_RELEASE_RECORD') 
 CREATE TABLE T_MSMOD_RELEASE_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
F_RESERVE_RECORD_ID BIGINT DEFAULT 0 NOT NULL,
F_BASE_QTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
F_QTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
F_QTY2ND DECIMAL(23,10) DEFAULT 0 NOT NULL,
F_CREATER_ID BIGINT DEFAULT 0 NOT NULL,
FCREATE_DATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_RESERVE_RULE_L') 
 CREATE TABLE T_MSMOD_RESERVE_RULE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
F_NAME NVARCHAR(510) DEFAULT ' ' NOT NULL
);




IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_RESERVE_RULE') 
 CREATE TABLE T_MSMOD_RESERVE_RULE (
FID BIGINT DEFAULT 0 NOT NULL,
F_NUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
F_RULE_DESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
F_USE_PLUGIN CHAR(1) DEFAULT '0' NOT NULL,
F_RULE_PLUGIN NVARCHAR(80) DEFAULT ' ' NOT NULL,
F_NAME NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_RULE_ENTRY') 
 CREATE TABLE T_MSMOD_RULE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
F_LEFT_BRACKET NVARCHAR(32) DEFAULT ' ' NOT NULL,
F_STD_INV_COL NVARCHAR(128) DEFAULT ' ' NOT NULL,
F_STD_INV_COL_NO NVARCHAR(128) DEFAULT ' ' NOT NULL,
F_COMPARE_TYPE NVARCHAR(64) DEFAULT ' ' NOT NULL,
F_REQUIRE_BILL_COL NVARCHAR(128) DEFAULT ' ' NOT NULL,
F_REQUIRE_BILL_COL_NO NVARCHAR(128) DEFAULT ' ' NOT NULL,
F_RIGHT_BRACKET NVARCHAR(32) DEFAULT ' ' NOT NULL,
F_LOGIC NVARCHAR(120) DEFAULT ' ' NOT NULL,
F_REQUIRE_BILL_DATE DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_SORT_ENTRY') 
 CREATE TABLE T_MSMOD_SORT_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
F_SORT_FIELD NVARCHAR(50) DEFAULT 0 NOT NULL,
F_SORT_WAY NVARCHAR(50) DEFAULT 0 NOT NULL,
F_SORT_FIELD_NO NVARCHAR(50) DEFAULT ' ' NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_RESERVERECORD') 
 CREATE TABLE T_MSMOD_RESERVERECORD (
FID BIGINT DEFAULT 0 NOT NULL,
F_BASE_QTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
F_QTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
F_QTY2ND DECIMAL(23,10) DEFAULT 0 NOT NULL,
F_CREATE_DATE DATETIME,
F_CREATER_ID BIGINT DEFAULT 0 NOT NULL,
F_BAL_SOURCE CHAR(1) DEFAULT ' ' NOT NULL,
F_BAL_OBJ_ID VARCHAR(36) DEFAULT ' ' NOT NULL,
F_BAL_ID BIGINT DEFAULT 0 NOT NULL,
F_BILL_OBJ_ID VARCHAR(36) DEFAULT ' ' NOT NULL,
F_ENTRY_NAME VARCHAR(10) DEFAULT ' ' NOT NULL,
F_BILLENTRY_ID BIGINT DEFAULT 0 NOT NULL,
F_BILL_ID BIGINT DEFAULT 0 NOT NULL,
F_BILL_NO NVARCHAR(80) DEFAULT ' ' NOT NULL,
F_BILLENTRY_SEQ BIGINT DEFAULT 0 NOT NULL,
F_RESERVE_SCHEME_ID BIGINT DEFAULT 0 NOT NULL,
F_BILL_SOUCE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_RESERVE_SCHEME') 
 CREATE TABLE T_MSMOD_RESERVE_SCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
F_CREATE_ORG_ID BIGINT DEFAULT 0 NOT NULL,
F_NUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
F_REQUIRE_BILL NVARCHAR(36) DEFAULT ' ' NOT NULL,
F_DATA_STATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
F_IS_SYS_INIT CHAR(1) DEFAULT '0' NOT NULL,
F_AUTO_RESERVE CHAR(1) DEFAULT '0' NOT NULL,
F_CTRL_STRATEGY CHAR(1) DEFAULT '1' NOT NULL,
F_REMARK NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
F_REQ_FILTER_VALUE NVARCHAR(1024) DEFAULT ' ' NOT NULL,
F_RESULT_HANDLER CHAR(1) DEFAULT '1' NOT NULL,
F_CUSTOM_RESULT_PLUGIN CHAR(1) DEFAULT '0' NOT NULL,
F_RESULT_PLUGIN NVARCHAR(80) DEFAULT ' ' NOT NULL,
F_NAME NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_RESERVE_SCHEME_L') 
 CREATE TABLE T_MSMOD_RESERVE_SCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
F_NAME NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_DATA_SOURCE') 
 CREATE TABLE T_SCHEME_DATA_SOURCE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
F_DATA_SOURCE_ID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_STRATEGY') 
 CREATE TABLE T_SCHEME_STRATEGY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
F_STRATEGY_ID BIGINT DEFAULT 0 NOT NULL,
F_STRATEGY_SEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_STRAGTEGY_L') 
 CREATE TABLE T_MSMOD_STRAGTEGY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
F_NAME NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_STRAGTEGY') 
 CREATE TABLE T_MSMOD_STRAGTEGY (
FID BIGINT DEFAULT 0 NOT NULL,
F_NUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
F_STATUS CHAR(1) DEFAULT 'A' NOT NULL,
F_CREATOR_ID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
F_ENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
F_DESC NVARCHAR(80) DEFAULT ' ' NOT NULL,
F_REQUIRE_BILL_ID NVARCHAR(36) DEFAULT ' ' NOT NULL,
F_FILTER_VALUE NVARCHAR(80) DEFAULT ' ' NOT NULL,
F_FILTER_VALUE_TAG NCLOB,
F_NAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCHEME_RULEENTRY') 
 CREATE TABLE T_SCHEME_RULEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
F_RULE_WAY CHAR(1) DEFAULT '1' NOT NULL,
F_PICK_INV_RULE NVARCHAR(80) DEFAULT ' ' NOT NULL,
F_RULE_SEQ INT DEFAULT 0 NOT NULL,
F_RULE_RESULT_PLUGIN NVARCHAR(80) DEFAULT ' ' NOT NULL,
F_PICK_INV_RULE_ID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_STDREQUESTBILL') 
 CREATE TABLE T_MSMOD_STDREQUESTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
F_BIZ_DATE DATETIME,
F_SALE_ORG_ID BIGINT DEFAULT 0 NOT NULL,
F_REQUEST_DATE DATETIME,
F_BILL_NO NVARCHAR(80) DEFAULT ' ' NOT NULL,
F_AUTO_RESERVE CHAR(1) DEFAULT '0' NOT NULL,
F_SALE_DEPT_ID BIGINT DEFAULT 0 NOT NULL,
F_OPERATOR_GROUP BIGINT DEFAULT 0 NOT NULL,
F_OPERATOR_ID BIGINT DEFAULT 0 NOT NULL,
F_CUSTOMER_ID BIGINT DEFAULT 0 NOT NULL,
F_DELIVERY_WAY BIGINT DEFAULT 0 NOT NULL,
F_BILL_ID BIGINT DEFAULT 0 NOT NULL
);

