-- 1、报表数据源配置(scmc_report_conf) -- 应付账龄分析
-- 1.1、报表数据源配置(scmc_report_conf)
DELETE FROM t_scmc_rpt_cf WHERE fid = 1377003848144532480;
INSERT INTO t_scmc_rpt_cf (fid, fnumber, fname, freport, frepo, fstatus, fcreater, fmodifier, fcreatedate, fmodifydate, fsysdata, ftimeout) VALUES (1377003848144532480, 'ap_acctagerpt', '应付账龄分析表配置', 'ap_acctagerpt_n', 'ap_acctage_col_repo', '1', 1, 1, {ts'2022-03-30 00:00:00'}, {ts'2022-03-30 00:00:00'}, '1', 30);

-- 报表数据源配置(多语言)
DELETE FROM t_scmc_rpt_cf_l WHERE fid = 1377003848144532480;
INSERT INTO t_scmc_rpt_cf_l (fpkid, fid, flocaleid, fname) VALUES ('2BF6GQG4BZ/H', 1377003848144532480, 'zh_CN', '应付账龄分析表配置');
INSERT INTO t_scmc_rpt_cf_l (fpkid, fid, flocaleid, fname) VALUES ('2BF6GQG4BZ/I', 1377003848144532480, 'zh_TW', '應付賬齡分析表配置');

-- 1.2、报表数据源配置.报表字段配置
DELETE FROM t_scmc_rpt_cf_cols WHERE fid = 1377003848144532480;
INSERT INTO t_scmc_rpt_cf_cols (fentryid, fid, fseq, frepo_col, fcolname, fshowprop, fshowrefprop, fcaltype, fdefshow) VALUES (1377003848144530432, 1377003848144532480, 1, 'org', '结算组织', '0', ' ', 'A', '0');
INSERT INTO t_scmc_rpt_cf_cols (fentryid, fid, fseq, frepo_col, fcolname, fshowprop, fshowrefprop, fcaltype, fdefshow) VALUES (1377003848144530433, 1377003848144532480, 2, 'asstacttype', '往来类型', '0', ' ', 'A', '1');
INSERT INTO t_scmc_rpt_cf_cols (fentryid, fid, fseq, frepo_col, fcolname, fshowprop, fshowrefprop, fcaltype, fdefshow) VALUES (1377003848144530434, 1377003848144532480, 3, 'asstact', '往来户', '0', ' ', 'A', '1');
INSERT INTO t_scmc_rpt_cf_cols (fentryid, fid, fseq, frepo_col, fcolname, fshowprop, fshowrefprop, fcaltype, fdefshow) VALUES (1377003848144530435, 1377003848144532480, 4, 'currency', '币别', '0', ' ', 'A', '1');
INSERT INTO t_scmc_rpt_cf_cols (fentryid, fid, fseq, frepo_col, fcolname, fshowprop, fshowrefprop, fcaltype, fdefshow) VALUES (1377003848144530436, 1377003848144532480, 5, 'entitykey', '数据范围', '0', ' ', 'C', '1');
INSERT INTO t_scmc_rpt_cf_cols (fentryid, fid, fseq, frepo_col, fcolname, fshowprop, fshowrefprop, fcaltype, fdefshow) VALUES (1377003848144530437, 1377003848144532480, 6, 'billtype', '单据类型', '0', ' ', 'C', '0');
INSERT INTO t_scmc_rpt_cf_cols (fentryid, fid, fseq, frepo_col, fcolname, fshowprop, fshowrefprop, fcaltype, fdefshow) VALUES (1377003848144530438, 1377003848144532480, 7, 'billno', '单据编号', '0', ' ', 'C', '0');
INSERT INTO t_scmc_rpt_cf_cols (fentryid, fid, fseq, frepo_col, fcolname, fshowprop, fshowrefprop, fcaltype, fdefshow) VALUES (1377003848144530439, 1377003848144532480, 8, 'bizdate', '单据日期', '0', ' ', 'C', '0');
INSERT INTO t_scmc_rpt_cf_cols (fentryid, fid, fseq, frepo_col, fcolname, fshowprop, fshowrefprop, fcaltype, fdefshow) VALUES (1389214106283678720, 1377003848144532480, 9, 'comparedate', '账龄比较日期', '0', ' ', 'C', '0');
INSERT INTO t_scmc_rpt_cf_cols (fentryid, fid, fseq, frepo_col, fcolname, fshowprop, fshowrefprop, fcaltype, fdefshow) VALUES (1377003848144530440, 1377003848144532480, 10, 'payorg', '付款组织', '0', ' ', 'A', '0');
INSERT INTO t_scmc_rpt_cf_cols (fentryid, fid, fseq, frepo_col, fcolname, fshowprop, fshowrefprop, fcaltype, fdefshow) VALUES (1377003848144530441, 1377003848144532480, 11, 'id', '主键ID', '0', ' ', 'C', '0');
INSERT INTO t_scmc_rpt_cf_cols (fentryid, fid, fseq, frepo_col, fcolname, fshowprop, fshowrefprop, fcaltype, fdefshow) VALUES (1377003848144530442, 1377003848144532480, 12, 'basecurrency', '本位币', '0', ' ', 'A', '0');
INSERT INTO t_scmc_rpt_cf_cols (fentryid, fid, fseq, frepo_col, fcolname, fshowprop, fshowrefprop, fcaltype, fdefshow) VALUES (1386310813148541952, 1377003848144532480, 13, 'pricetaxtotal', '应付金额', '0', ' ', 'B', '1');
INSERT INTO t_scmc_rpt_cf_cols (fentryid, fid, fseq, frepo_col, fcolname, fshowprop, fshowrefprop, fcaltype, fdefshow) VALUES (1382709902216018944, 1377003848144532480, 14, 'balance', '余额', '0', ' ', 'B', '1');
INSERT INTO t_scmc_rpt_cf_cols (fentryid, fid, fseq, frepo_col, fcolname, fshowprop, fshowrefprop, fcaltype, fdefshow) VALUES (1386358524094739457, 1377003848144532480, 15, 'pricetaxtotalloc', '应付折本币', '0', ' ', 'B', '0');
INSERT INTO t_scmc_rpt_cf_cols (fentryid, fid, fseq, frepo_col, fcolname, fshowprop, fshowrefprop, fcaltype, fdefshow) VALUES (1386358524094739456, 1377003848144532480, 16, 'balanceloc', '余额折本币', '0', ' ', 'B', '0');

-- 报表数据源配置.报表字段配置（多语言）
DELETE FROM t_scmc_rpt_cf_cols_l WHERE fentryid in (SELECT fentryid FROM t_scmc_rpt_cf_cols WHERE fid = 1377003848144532480);
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2A428GNAERSD', 1377003848144530432, 'zh_CN', '结算组织');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2A428GNAERSE', 1377003848144530433, 'zh_CN', '往来类型');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2A428GNAERSF', 1377003848144530434, 'zh_CN', '往来户');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2A428GNAERSG', 1377003848144530435, 'zh_CN', '币别');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2A428GNAERSH', 1377003848144530436, 'zh_CN', '数据范围');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2A428GNAERSI', 1377003848144530437, 'zh_CN', '单据类型');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2A428GNAERSJ', 1377003848144530438, 'zh_CN', '单据编号');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2A428GNAERSK', 1377003848144530439, 'zh_CN', '单据日期');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2A428GNAERSL', 1377003848144530440, 'zh_CN', '付款组织');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2A428GNAERSM', 1377003848144530441, 'zh_CN', '主键ID');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2A428GNAERSN', 1377003848144530442, 'zh_CN', '本位币');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2AUEDDGB3=5=', 1382709902216018944, 'zh_CN', '余额');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2B9O75R9=MVT', 1386310813148541952, 'zh_CN', '应付金额');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2B9O75R9=MVU', 1386310813148541952, 'zh_TW', '應付金額');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2CIEP5JENLU4', 1386358524094739456, 'zh_TW', '餘額折本幣');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2B9X3UUKSAGL', 1386358524094739456, 'zh_CN', '余额折本币');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2B9X3UUKSAGM', 1386358524094739457, 'zh_CN', '应付折本币');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2B9XCLJIM94/', 1386358524094739457, 'zh_TW', '應付折本幣');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2BMKPZ2XVAI6', 1389214106283678720, 'zh_TW', '賬齡比較日期');
INSERT INTO t_scmc_rpt_cf_cols_l (fpkid, fentryid, flocaleid, fcolname) VALUES ('2BMKOEDMSZUW', 1389214106283678720, 'zh_CN', '账龄比较日期');

-- 1.3、报表数据源配置：数据块配置
DELETE FROM t_scmc_rpt_cf_data WHERE fid = 1377003848144532480;
INSERT INTO t_scmc_rpt_cf_data (fentryid, fid, fseq, fblockstatus, fblockdesc, fsrctype, fsrcentity, fcolmap, fdatafs, fdatafs_tag) VALUES (1377003848144530443, 1377003848144532480, 1, '1', '暂估应付', 'A', 'ap_busbill', '1377010265572258816', ' ', '{"expression":"","exprTran":"","description":{"zh_CN":""},"filterCondition":{"filterRow":[],"forList":false},"filterString":"{\"filterRow\":[],\"forList\":false}","initialized":false,"exprDesc":"","localeExprTran":{"zh_CN":""}}');
INSERT INTO t_scmc_rpt_cf_data (fentryid, fid, fseq, fblockstatus, fblockdesc, fsrctype, fsrcentity, fcolmap, fdatafs, fdatafs_tag) VALUES (1379022456383089664, 1377003848144532480, 2, '1', '财务应付', 'A', 'ap_finapbill', '1377621656809253888', ' ', '{"expression":"","exprTran":"冲销单据 等于 否","description":{"zh_CN":""},"filterCondition":{"filterRow":[{"id":"2ACRDUDPOKHG","leftBracket":"","compareType":"105","fieldName":"iswrittenoff","rightBracket":"","logic":"0","value":[{"id":"2ACRDUDPOJ4Z","value":"0"}],"baseDataIds":[]}],"forList":false},"filterString":"{\"filterRow\":[{\"id\":\"2ACRDUDPOKHG\",\"leftBracket\":\"\",\"compareType\":\"105\",\"fieldName\":\"iswrittenoff\",\"rightBracket\":\"\",\"logic\":\"0\",\"value\":[{\"id\":\"2ACRDUDPOJ4Z\",\"value\":\"0\"}],\"baseDataIds\":[]}],\"forList\":false}","initialized":false,"exprDesc":"冲销单据 等于 否","localeExprTran":{"zh_CN":"冲销单据 等于 否"}}');

-- 报表数据源配置：数据块配置(多语言)
DELETE FROM t_scmc_rpt_cf_data_l WHERE fentryid in (SELECT fentryid FROM t_scmc_rpt_cf_data WHERE fid = 1377003848144532480);
INSERT INTO t_scmc_rpt_cf_data_l (fpkid, fentryid, flocaleid, fblockdesc) VALUES ('2A42H83L5IDF', 1377003848144530443, 'zh_CN', '暂估应付');
INSERT INTO t_scmc_rpt_cf_data_l (fpkid, fentryid, flocaleid, fblockdesc) VALUES ('2A42H83L5IDG', 1377003848144530443, 'zh_TW', '暫估應付');
INSERT INTO t_scmc_rpt_cf_data_l (fpkid, fentryid, flocaleid, fblockdesc) VALUES ('2ACRE0MRC8O8', 1379022456383089664, 'zh_CN', '财务应付');
INSERT INTO t_scmc_rpt_cf_data_l (fpkid, fentryid, flocaleid, fblockdesc) VALUES ('2ACRE0MRC8O9', 1379022456383089664, 'zh_TW', '財務應付');

-- 1.4、报表数据源配置：插件配置
DELETE FROM t_scmc_rpt_cf_plugin WHERE fid = 1377003848144532480;
INSERT INTO t_scmc_rpt_cf_plugin (fentryid, fid, fseq, fpluginstatus, fpluginname, fpluginclass) VALUES (1382466258259179520, 1377003848144532480, 1, '1', '标准插件', 'kd.fi.arapcommon.report.acctagev2.AcctageRptHandle');

-- 报表数据源配置：插件配置（多语言）
DELETE FROM t_scmc_rpt_cf_plugin_l WHERE fentryid in(SELECT fentryid FROM t_scmc_rpt_cf_plugin WHERE fid = 1377003848144532480);
INSERT INTO t_scmc_rpt_cf_plugin_l (fpkid, fentryid, flocaleid, fpluginname) VALUES ('2AT8VZQ=JWZO', 1382466258259179520, 'zh_CN', '标准插件');
INSERT INTO t_scmc_rpt_cf_plugin_l (fpkid, fentryid, flocaleid, fpluginname) VALUES ('2AT8VZQ=JWZP', 1382466258259179520, 'zh_TW', '標準插件');


-- 2、报表数据源配置(scmc_report_conf) -- 账龄分析
DELETE FROM t_scmc_rpt_colmap WHERE fid IN (1377621656809253888,1377010265572258816);
INSERT INTO t_scmc_rpt_colmap (fid, fnumber, fname, freportentity, fsrcentity, fmapinfo, fmapinfo_tag, fcreater, fmodifier, fcreatedate, fmodifydate, fsysdata) VALUES (1377621656809253888, 'ap_finapbill_acctage', '应付账龄-财务', 'ap_acctage_col_repo', 'ap_finapbill', ' ', '{"repocol":["org","asstacttype","asstact","currency","entitykey","billtype","billno","bizdate","payorg","id","basecurrency","balance","pricetaxtotal","balanceloc","pricetaxtotalloc","comparedate"],"fullsrccol":["org","asstacttype","asstact","currency","","billtypeid","billno","bizdate","payorg","","basecurrency","unsettleamount","pricetaxtotal","unsettleamountbase","pricetaxtotalbase",""],"defval":["","","","","ap_finapbill","","","","","","","","","","",""],"remark":["","","","","","","","","","","","","","","",""],"srccol":["org","asstacttype","asstact","currency","","billtypeid","billno","bizdate","payorg","","basecurrency","unsettleamount","pricetaxtotal","unsettleamountbase","pricetaxtotalbase",""]}', 1, 1, {ts'2022-03-30 00:00:00'}, {ts'2022-03-30 00:00:00'}, '1');
INSERT INTO t_scmc_rpt_colmap (fid, fnumber, fname, freportentity, fsrcentity, fmapinfo, fmapinfo_tag, fcreater, fmodifier, fcreatedate, fmodifydate, fsysdata) VALUES (1377010265572258816, 'ap_busbill_acctage', '应付账龄-暂估', 'ap_acctage_col_repo', 'ap_busbill', ' ', '{"repocol":["org","asstacttype","asstact","currency","entitykey","billtype","billno","bizdate","payorg","id","basecurrency","pricetaxtotal","balance","comparedate","balanceloc","pricetaxtotalloc"],"fullsrccol":["org","asstacttype","asstact","currency","","billtype","billno","bizdate","payorg","","basecurrency","pricetaxtotal","unwoffamt","","unwofflocamt","pricetaxtotalbase"],"defval":["","","","","ap_busbill","","","","","","","","","","",""],"remark":["","","","","","","","","","","","","","","",""],"srccol":["org","asstacttype","asstact","currency","","billtype","billno","bizdate","payorg","","basecurrency","pricetaxtotal","unwoffamt","","unwofflocamt","pricetaxtotalbase"]}', 1, 1, {ts'2022-03-30 00:00:00'}, {ts'2022-03-30 00:00:00'}, '1');

-- 报表数据源配置（多语言）
DELETE FROM t_scmc_rpt_colmap_l WHERE fid IN (1377621656809253888,1377010265572258816);
INSERT INTO t_scmc_rpt_colmap_l (fpkid, fid, flocaleid, fname) VALUES ('2A43F8EWIKK9', 1377010265572258816, 'zh_CN', '应付账龄-暂估');
INSERT INTO t_scmc_rpt_colmap_l (fpkid, fid, flocaleid, fname) VALUES ('2A43F8EWIKK=', 1377010265572258816, 'zh_TW', '應付賬齡-暫估');
INSERT INTO t_scmc_rpt_colmap_l (fpkid, fid, flocaleid, fname) VALUES ('2A70OF49NBKA', 1377621656809253888, 'zh_CN', '应付账龄-财务');
INSERT INTO t_scmc_rpt_colmap_l (fpkid, fid, flocaleid, fname) VALUES ('2A70OF49NBKB', 1377621656809253888, 'zh_TW', '應付賬齡-財務');