﻿-- 增加：联合下推记录
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSISV_UNIONPUSH_RECORD')
 CREATE TABLE T_MSISV_UNIONPUSH_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FTRACEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUNIONPUSHID BIGINT DEFAULT 0 NOT NULL,
FSRCENTITY VARCHAR(30) DEFAULT ' ' NOT NULL,
FSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCENTRYID BIGINT DEFAULT 0 NOT NULL,
FRELENTITY VARCHAR(30) DEFAULT ' ' NOT NULL,
FRELBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRELBILLID BIGINT DEFAULT 0 NOT NULL,
FRELENTRYID BIGINT DEFAULT 0 NOT NULL,
FTGTENTITY VARCHAR(30) DEFAULT ' ' NOT NULL,
FTGTBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FTGTBILLID BIGINT DEFAULT 0 NOT NULL,
FTGTENTRYID BIGINT DEFAULT 0 NOT NULL
);

-- 增加字段：生态监听（系统预设，跳转到目标单）、联合下推（系统预设、目标单过滤）、关联更新（系统预设）
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSISV_RELATEUPDATE' AND KSQL_COL_NAME ='FISPRESET') 
 ALTER TABLE T_MSISV_RELATEUPDATE ADD (FISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSISV_UNIONPUSH' AND KSQL_COL_NAME ='FISPRESET') 
 ALTER TABLE T_MSISV_UNIONPUSH ADD (FISPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSISV_UNIONPUSH' AND KSQL_COL_NAME ='FTARBILLFILTER') 
 ALTER TABLE T_MSISV_UNIONPUSH ADD (FTARBILLFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSISV_UNIONPUSH' AND KSQL_COL_NAME ='FTARBILLFILTERFORMULA') 
 ALTER TABLE T_MSISV_UNIONPUSH ADD (FTARBILLFILTERFORMULA NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSISV_UNIONPUSH' AND KSQL_COL_NAME ='FTARBILLFILTERFORMULA_TAG') 
 ALTER TABLE T_MSISV_UNIONPUSH ADD (FTARBILLFILTERFORMULA_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSISV_UNIONPUSH' AND KSQL_COL_NAME ='FTARBILLFILTERJSON') 
 ALTER TABLE T_MSISV_UNIONPUSH ADD (FTARBILLFILTERJSON NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSISV_UNIONPUSH' AND KSQL_COL_NAME ='FTARBILLFILTERJSON_TAG') 
 ALTER TABLE T_MSISV_UNIONPUSH ADD (FTARBILLFILTERJSON_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSISV_ECOLOGICMONITOR' AND KSQL_COL_NAME ='FISSYNC') 
 ALTER TABLE T_MSISV_ECOLOGICMONITOR ADD (FISSYNC CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSISV_ECOLOGICMONITOR' AND KSQL_COL_NAME ='FISPRESET') 
 ALTER TABLE T_MSISV_ECOLOGICMONITOR ADD (FISPRESET CHAR(1) DEFAULT '0' NOT NULL );
